C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine dratedc                        (
     $    ns,nr,rk,y,dw)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: CB05_poa.reactions  
C     Species: _ciCB05_poa.species_
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     DW: derivative of reaction rates wrt Y.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),dw(nr,ns)
 
 
 
      dw(  1, 94) =  rk(  1)
      dw(  2, 88) =  rk(  2)
      dw(  3, 91) =  rk(  3) * Y( 92)
      dw(  3, 92) =  rk(  3) * Y( 91)
      dw(  4, 88) =  rk(  4) * Y( 94)
      dw(  4, 94) =  rk(  4) * Y( 88)
      dw(  5, 88) =  rk(  5) * Y( 94)
      dw(  5, 94) =  rk(  5) * Y( 88)
      dw(  6, 88) =  rk(  6) * Y( 92)
      dw(  6, 92) =  rk(  6) * Y( 88)
      dw(  7, 94) =  rk(  7) * Y( 91)
      dw(  7, 91) =  rk(  7) * Y( 94)
      dw(  8, 91) =  rk(  8)
      dw(  9, 91) =  rk(  9)
      dw( 10,  4) =  rk( 10)
      dw( 11,  4) =  rk( 11)
      dw( 12, 91) =  rk( 12) * Y( 86)
      dw( 12, 86) =  rk( 12) * Y( 91)
      dw( 13, 91) =  rk( 13) * Y( 96)
      dw( 13, 96) =  rk( 13) * Y( 91)
      dw( 14, 87) =  rk( 14)
      dw( 15, 87) =  rk( 15)
      dw( 16, 87) =  rk( 16) * Y( 92)
      dw( 16, 92) =  rk( 16) * Y( 87)
      dw( 17, 87) =  rk( 17) * Y( 94)
      dw( 17, 94) =  rk( 17) * Y( 87)
      dw( 18, 87) =  rk( 18) * Y( 94)
      dw( 18, 94) =  rk( 18) * Y( 87)
      dw( 19, 25) =  rk( 19)
      dw( 20, 25) =  rk( 20)
      dw( 21, 92) =  rk( 21) * Y( 92)
      dw( 21, 92) =  rk( 21) * Y( 92)
      dw( 22, 92) =  rk( 22) * Y( 94)
      dw( 22, 94) =  rk( 22) * Y( 92)
      dw( 23, 86) =  rk( 23) * Y( 92)
      dw( 23, 92) =  rk( 23) * Y( 86)
      dw( 24, 41) =  rk( 24)
      dw( 25, 86) =  rk( 25) * Y( 41)
      dw( 25, 41) =  rk( 25) * Y( 86)
      dw( 26, 41) =  rk( 26) * Y( 41)
      dw( 26, 41) =  rk( 26) * Y( 41)
      dw( 27, 94) =  rk( 27) * Y( 86)
      dw( 27, 86) =  rk( 27) * Y( 94)
      dw( 28, 86) =  rk( 28) * Y( 79)
      dw( 28, 79) =  rk( 28) * Y( 86)
      dw( 29, 96) =  rk( 29) * Y( 92)
      dw( 29, 92) =  rk( 29) * Y( 96)
      dw( 30, 96) =  rk( 30) * Y( 94)
      dw( 30, 94) =  rk( 30) * Y( 96)
      dw( 31, 36) =  rk( 31)
      dw( 32, 86) =  rk( 32) * Y( 36)
      dw( 32, 36) =  rk( 32) * Y( 86)
      dw( 33, 96) =  rk( 33) * Y( 96)
      dw( 33, 96) =  rk( 33) * Y( 96)
      dw( 34, 96) =  rk( 34) * Y( 96)
      dw( 34, 96) =  rk( 34) * Y( 96)
      dw( 35, 40) =  rk( 35)
      dw( 36, 86) =  rk( 36) * Y( 40)
      dw( 36, 40) =  rk( 36) * Y( 86)
      dw( 37,  4) =  rk( 37)
      dw( 38, 86) =  rk( 38)
      dw( 39, 86) =  rk( 39) * Y( 88)
      dw( 39, 88) =  rk( 39) * Y( 86)
      dw( 40, 86) =  rk( 40) * Y( 86)
      dw( 40, 86) =  rk( 40) * Y( 86)
      dw( 41, 86) =  rk( 41) * Y( 86)
      dw( 41, 86) =  rk( 41) * Y( 86)
      dw( 42, 86) =  rk( 42) * Y( 96)
      dw( 42, 96) =  rk( 42) * Y( 86)
      dw( 43, 96) =  rk( 43) * Y( 88)
      dw( 43, 88) =  rk( 43) * Y( 96)
      dw( 44, 40) =  rk( 44) * Y( 88)
      dw( 44, 88) =  rk( 44) * Y( 40)
      dw( 45, 87) =  rk( 45) * Y( 88)
      dw( 45, 88) =  rk( 45) * Y( 87)
      dw( 46, 87) =  rk( 46) * Y( 86)
      dw( 46, 86) =  rk( 46) * Y( 87)
      dw( 47, 87) =  rk( 47) * Y( 96)
      dw( 47, 96) =  rk( 47) * Y( 87)
      dw( 48, 87) =  rk( 48) * Y( 91)
      dw( 48, 91) =  rk( 48) * Y( 87)
      dw( 49, 87) =  rk( 49) * Y( 87)
      dw( 49, 87) =  rk( 49) * Y( 87)
      dw( 50, 36) =  rk( 50)
      dw( 51, 79) =  rk( 51)
      dw( 52, 25) =  rk( 52)
      dw( 53, 95) =  rk( 53) * Y( 92)
      dw( 53, 92) =  rk( 53) * Y( 95)
      dw( 54, 83) =  rk( 54) * Y( 92)
      dw( 54, 92) =  rk( 54) * Y( 83)
      dw( 55, 95) =  rk( 55) * Y( 96)
      dw( 55, 96) =  rk( 55) * Y( 95)
      dw( 56, 83) =  rk( 56) * Y( 96)
      dw( 56, 96) =  rk( 56) * Y( 83)
      dw( 57, 95) =  rk( 57) * Y( 95)
      dw( 57, 95) =  rk( 57) * Y( 95)
      dw( 58, 83) =  rk( 58) * Y( 83)
      dw( 58, 83) =  rk( 58) * Y( 83)
      dw( 59, 95) =  rk( 59) * Y( 83)
      dw( 59, 83) =  rk( 59) * Y( 95)
      dw( 60, 73) =  rk( 60) * Y( 86)
      dw( 60, 86) =  rk( 60) * Y( 73)
      dw( 61, 73) =  rk( 61)
      dw( 62, 61) =  rk( 62) * Y( 86)
      dw( 62, 86) =  rk( 62) * Y( 61)
      dw( 63, 61) =  rk( 63)
      dw( 64, 86) =  rk( 64) * Y( 77)
      dw( 64, 77) =  rk( 64) * Y( 86)
      dw( 65, 86) =  rk( 65) * Y(  6)
      dw( 65,  6) =  rk( 65) * Y( 86)
      dw( 66, 84) =  rk( 66) * Y( 92)
      dw( 66, 92) =  rk( 66) * Y( 84)
      dw( 67, 84) =  rk( 67) * Y( 96)
      dw( 67, 96) =  rk( 67) * Y( 84)
      dw( 68, 84) =  rk( 68) * Y( 84)
      dw( 68, 84) =  rk( 68) * Y( 84)
      dw( 69, 43) =  rk( 69) * Y( 86)
      dw( 69, 86) =  rk( 69) * Y( 43)
      dw( 70, 43) =  rk( 70)
      dw( 71, 23) =  rk( 71) * Y( 86)
      dw( 71, 86) =  rk( 71) * Y( 23)
      dw( 72, 85) =  rk( 72) * Y( 86)
      dw( 72, 86) =  rk( 72) * Y( 85)
      dw( 73, 85) =  rk( 73)
      dw( 74, 85) =  rk( 74)
      dw( 75, 85) =  rk( 75) * Y( 88)
      dw( 75, 88) =  rk( 75) * Y( 85)
      dw( 76, 85) =  rk( 76) * Y( 87)
      dw( 76, 87) =  rk( 76) * Y( 85)
      dw( 77, 85) =  rk( 77) * Y( 96)
      dw( 77, 96) =  rk( 77) * Y( 85)
      dw( 78, 42) =  rk( 78)
      dw( 79, 42) =  rk( 79) * Y( 92)
      dw( 79, 92) =  rk( 79) * Y( 42)
      dw( 80, 42) =  rk( 80) * Y( 96)
      dw( 80, 96) =  rk( 80) * Y( 42)
      dw( 81, 56) =  rk( 81) * Y( 86)
      dw( 81, 86) =  rk( 81) * Y( 56)
      dw( 82, 89) =  rk( 82) * Y( 88)
      dw( 82, 88) =  rk( 82) * Y( 89)
      dw( 83, 89) =  rk( 83) * Y( 86)
      dw( 83, 86) =  rk( 83) * Y( 89)
      dw( 84, 89) =  rk( 84) * Y( 87)
      dw( 84, 87) =  rk( 84) * Y( 89)
      dw( 85, 89) =  rk( 85)
      dw( 86, 93) =  rk( 86) * Y( 92)
      dw( 86, 92) =  rk( 86) * Y( 93)
      dw( 87, 93) =  rk( 87) * Y( 94)
      dw( 87, 94) =  rk( 87) * Y( 93)
      dw( 88, 31) =  rk( 88)
      dw( 89, 31) =  rk( 89)
      dw( 90, 93) =  rk( 90) * Y( 96)
      dw( 90, 96) =  rk( 90) * Y( 93)
      dw( 91, 93) =  rk( 91) * Y( 84)
      dw( 91, 84) =  rk( 91) * Y( 93)
      dw( 92, 93) =  rk( 92) * Y( 95)
      dw( 92, 95) =  rk( 92) * Y( 93)
      dw( 93, 93) =  rk( 93) * Y( 93)
      dw( 93, 93) =  rk( 93) * Y( 93)
      dw( 94, 62) =  rk( 94) * Y( 86)
      dw( 94, 86) =  rk( 94) * Y( 62)
      dw( 95, 62) =  rk( 95)
      dw( 96, 76) =  rk( 96) * Y( 86)
      dw( 96, 86) =  rk( 96) * Y( 76)
      dw( 97, 75) =  rk( 97) * Y( 88)
      dw( 97, 88) =  rk( 97) * Y( 75)
      dw( 98, 75) =  rk( 98) * Y( 86)
      dw( 98, 86) =  rk( 98) * Y( 75)
      dw( 99, 75) =  rk( 99) * Y( 87)
      dw( 99, 87) =  rk( 99) * Y( 75)
      dw(100, 75) =  rk(100)
      dw(101, 90) =  rk(101) * Y( 92)
      dw(101, 92) =  rk(101) * Y( 90)
      dw(102, 90) =  rk(102) * Y( 94)
      dw(102, 94) =  rk(102) * Y( 90)
      dw(103, 38) =  rk(103)
      dw(104, 38) =  rk(104)
      dw(105, 38) =  rk(105) * Y( 86)
      dw(105, 86) =  rk(105) * Y( 38)
      dw(106, 90) =  rk(106) * Y( 96)
      dw(106, 96) =  rk(106) * Y( 90)
      dw(107, 93) =  rk(107) * Y( 84)
      dw(107, 84) =  rk(107) * Y( 93)
      dw(108, 93) =  rk(108) * Y( 95)
      dw(108, 95) =  rk(108) * Y( 93)
      dw(109, 90) =  rk(109) * Y( 90)
      dw(109, 90) =  rk(109) * Y( 90)
      dw(110, 90) =  rk(110) * Y( 93)
      dw(110, 93) =  rk(110) * Y( 90)
      dw(111, 74) =  rk(111) * Y( 86)
      dw(111, 86) =  rk(111) * Y( 74)
      dw(112, 39) =  rk(112)
      dw(113, 39) =  rk(113)
      dw(114, 39) =  rk(114) * Y( 94)
      dw(114, 94) =  rk(114) * Y( 39)
      dw(115, 88) =  rk(115) * Y( 58)
      dw(115, 58) =  rk(115) * Y( 88)
      dw(116, 86) =  rk(116) * Y( 58)
      dw(116, 58) =  rk(116) * Y( 86)
      dw(117, 91) =  rk(117) * Y( 58)
      dw(117, 58) =  rk(117) * Y( 91)
      dw(118, 87) =  rk(118) * Y( 58)
      dw(118, 58) =  rk(118) * Y( 87)
      dw(119, 88) =  rk(119) * Y( 55)
      dw(119, 55) =  rk(119) * Y( 88)
      dw(120, 86) =  rk(120) * Y( 55)
      dw(120, 55) =  rk(120) * Y( 86)
      dw(121, 91) =  rk(121) * Y( 55)
      dw(121, 55) =  rk(121) * Y( 91)
      dw(122, 87) =  rk(122) * Y( 55)
      dw(122, 55) =  rk(122) * Y( 87)
      dw(123, 59) =  rk(123) * Y( 88)
      dw(123, 88) =  rk(123) * Y( 59)
      dw(124, 59) =  rk(124) * Y( 86)
      dw(124, 86) =  rk(124) * Y( 59)
      dw(125, 59) =  rk(125) * Y( 91)
      dw(125, 91) =  rk(125) * Y( 59)
      dw(126, 59) =  rk(126) * Y( 87)
      dw(126, 87) =  rk(126) * Y( 59)
      dw(127,  8) =  rk(127) * Y( 86)
      dw(127, 86) =  rk(127) * Y(  8)
      dw(128, 24) =  rk(128) * Y( 92)
      dw(128, 92) =  rk(128) * Y( 24)
      dw(129, 24) =  rk(129)
      dw(130, 86) =  rk(130) * Y( 63)
      dw(130, 63) =  rk(130) * Y( 86)
      dw(131, 63) =  rk(131) * Y( 87)
      dw(131, 87) =  rk(131) * Y( 63)
      dw(132, 64) =  rk(132) * Y( 94)
      dw(132, 94) =  rk(132) * Y( 64)
      dw(133, 64) =  rk(133) * Y( 96)
      dw(133, 96) =  rk(133) * Y( 64)
      dw(134, 44) =  rk(134)
      dw(135, 44) =  rk(135) * Y( 86)
      dw(135, 86) =  rk(135) * Y( 44)
      dw(136, 44) =  rk(136) * Y( 91)
      dw(136, 91) =  rk(136) * Y( 44)
      dw(137, 86) =  rk(137) * Y(  9)
      dw(137,  9) =  rk(137) * Y( 86)
      dw(138, 86) =  rk(138) * Y( 45)
      dw(138, 45) =  rk(138) * Y( 86)
      dw(139, 45) =  rk(139)
      dw(140, 88) =  rk(140) * Y( 71)
      dw(140, 71) =  rk(140) * Y( 88)
      dw(141, 86) =  rk(141) * Y( 71)
      dw(141, 71) =  rk(141) * Y( 86)
      dw(142, 91) =  rk(142) * Y( 71)
      dw(142, 71) =  rk(142) * Y( 91)
      dw(143, 87) =  rk(143) * Y( 71)
      dw(143, 71) =  rk(143) * Y( 87)
      dw(144, 86) =  rk(144) * Y( 72)
      dw(144, 72) =  rk(144) * Y( 86)
      dw(145, 91) =  rk(145) * Y( 72)
      dw(145, 72) =  rk(145) * Y( 91)
      dw(146, 87) =  rk(146) * Y( 72)
      dw(146, 72) =  rk(146) * Y( 87)
      dw(147, 72) =  rk(147)
      dw(148, 10) =  rk(148) * Y( 86)
      dw(148, 86) =  rk(148) * Y( 10)
      dw(149, 86) =  rk(149) * Y(  5)
      dw(149,  5) =  rk(149) * Y( 86)
      dw(150, 86) =  rk(150) * Y(  7)
      dw(150,  7) =  rk(150) * Y( 86)
      dw(151, 94) =  rk(151) * Y( 71)
      dw(151, 71) =  rk(151) * Y( 94)
      dw(152, 96) =  rk(152)
      dw(153, 94) =  rk(153)
      dw(154, 87) =  rk(154)
      dw(155, 25) =  rk(155)
      dw(156, 46) =  rk(156) * Y( 86)
      dw(156, 86) =  rk(156) * Y( 46)
      dw(157, 46) =  rk(157) * Y( 91)
      dw(157, 91) =  rk(157) * Y( 46)
      dw(158, 46) =  rk(158) * Y( 87)
      dw(158, 87) =  rk(158) * Y( 46)
      dw(159, 49) =  rk(159) * Y( 86)
      dw(159, 86) =  rk(159) * Y( 49)
      dw(160, 49) =  rk(160) * Y( 91)
      dw(160, 91) =  rk(160) * Y( 49)
      dw(161, 49) =  rk(161) * Y( 87)
      dw(161, 87) =  rk(161) * Y( 49)
      dw(162, 82) =  rk(162) * Y( 96)
      dw(162, 96) =  rk(162) * Y( 82)
      dw(163, 82) =  rk(163) * Y( 84)
      dw(163, 84) =  rk(163) * Y( 82)
      dw(164, 82) =  rk(164) * Y( 93)
      dw(164, 93) =  rk(164) * Y( 82)
      dw(165, 82) =  rk(165) * Y( 92)
      dw(165, 92) =  rk(165) * Y( 82)
      dw(166, 82) =  rk(166) * Y( 87)
      dw(166, 87) =  rk(166) * Y( 82)
      dw(167, 78) =  rk(167) * Y( 96)
      dw(167, 96) =  rk(167) * Y( 78)
      dw(168, 78) =  rk(168) * Y( 84)
      dw(168, 84) =  rk(168) * Y( 78)
      dw(169, 78) =  rk(169) * Y( 93)
      dw(169, 93) =  rk(169) * Y( 78)
      dw(170, 78) =  rk(170) * Y( 92)
      dw(170, 92) =  rk(170) * Y( 78)
      dw(171, 78) =  rk(171) * Y( 87)
      dw(171, 87) =  rk(171) * Y( 78)
      dw(172, 80) =  rk(172) * Y( 96)
      dw(172, 96) =  rk(172) * Y( 80)
      dw(173, 80) =  rk(173) * Y( 84)
      dw(173, 84) =  rk(173) * Y( 80)
      dw(174, 80) =  rk(174) * Y( 93)
      dw(174, 93) =  rk(174) * Y( 80)
      dw(175, 80) =  rk(175) * Y( 87)
      dw(175, 87) =  rk(175) * Y( 80)
      dw(176, 80) =  rk(176) * Y( 92)
      dw(176, 92) =  rk(176) * Y( 80)
      dw(177, 70) =  rk(177) * Y( 86)
      dw(177, 86) =  rk(177) * Y( 70)
      dw(178, 70) =  rk(178) * Y( 87)
      dw(178, 87) =  rk(178) * Y( 70)
      dw(179, 81) =  rk(179) * Y( 92)
      dw(179, 92) =  rk(179) * Y( 81)
      dw(180, 81) =  rk(180) * Y( 96)
      dw(180, 96) =  rk(180) * Y( 81)
      dw(181, 81) =  rk(181) * Y( 84)
      dw(181, 84) =  rk(181) * Y( 81)
      dw(182, 81) =  rk(182) * Y( 94)
      dw(182, 94) =  rk(182) * Y( 81)
      dw(183, 57) =  rk(183)
      dw(184, 57) =  rk(184) * Y( 86)
      dw(184, 86) =  rk(184) * Y( 57)
      dw(185, 57) =  rk(185) * Y( 87)
      dw(185, 87) =  rk(185) * Y( 57)
      dw(186, 28) =  rk(186)
      dw(187, 12) =  rk(187) * Y( 86)
      dw(187, 86) =  rk(187) * Y( 12)
      dw(188, 60) =  rk(188) * Y( 86)
      dw(188, 86) =  rk(188) * Y( 60)
      dw(189, 60) =  rk(189) * Y( 87)
      dw(189, 87) =  rk(189) * Y( 60)
      dw(190, 60) =  rk(190) * Y( 91)
      dw(190, 91) =  rk(190) * Y( 60)
      dw(191, 15) =  rk(191) * Y( 86)
      dw(191, 86) =  rk(191) * Y( 15)
      dw(192, 16) =  rk(192) * Y( 86)
      dw(192, 86) =  rk(192) * Y( 16)
      dw(193, 17) =  rk(193) * Y( 86)
      dw(193, 86) =  rk(193) * Y( 17)
      dw(194, 46) =  rk(194) * Y( 88)
      dw(194, 88) =  rk(194) * Y( 46)
      dw(195, 49) =  rk(195) * Y( 88)
      dw(195, 88) =  rk(195) * Y( 49)
      dw(196, 60) =  rk(196) * Y( 88)
      dw(196, 88) =  rk(196) * Y( 60)
      dw(197, 48) =  rk(197)
      dw(198, 21) =  rk(198)
      dw(199, 22) =  rk(199)
      dw(200, 32) =  rk(200)
      dw(201, 52) =  rk(201) * Y( 48)
      dw(201, 48) =  rk(201) * Y( 52)
      dw(202, 52) =  rk(202) * Y( 96)
      dw(202, 96) =  rk(202) * Y( 52)
      dw(203, 52) =  rk(203) * Y( 92)
      dw(203, 92) =  rk(203) * Y( 52)
      dw(204, 32) =  rk(204) * Y( 52)
      dw(204, 52) =  rk(204) * Y( 32)
      dw(205, 32) =  rk(205) * Y( 96)
      dw(205, 96) =  rk(205) * Y( 32)
      dw(206, 50) =  rk(206) * Y( 86)
      dw(206, 86) =  rk(206) * Y( 50)
      dw(207, 53) =  rk(207) * Y( 92)
      dw(207, 92) =  rk(207) * Y( 53)
      dw(208, 67) =  rk(208) * Y( 92)
      dw(208, 92) =  rk(208) * Y( 67)
      dw(209, 67) =  rk(209) * Y( 96)
      dw(209, 96) =  rk(209) * Y( 67)
      dw(210, 67) =  rk(210) * Y( 87)
      dw(210, 87) =  rk(210) * Y( 67)
      dw(211, 67) =  rk(211) * Y( 95)
      dw(211, 95) =  rk(211) * Y( 67)
      dw(212, 12) =  rk(212) * Y( 87)
      dw(212, 87) =  rk(212) * Y( 12)
 
      RETURN
      END
 
