C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine rates                        (
     $    ns,nr,rk,y,w)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the reaction rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: CB05_poa.reactions  
C     Species: _ciCB05_poa.species_
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     W: reaction rates.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),w(nr)
 
 
 
      w(  1) =  rk(  1) * Y( 94)
      w(  2) =  rk(  2) * Y( 88)
      w(  3) =  rk(  3) * Y( 91) * Y( 92)
      w(  4) =  rk(  4) * Y( 88) * Y( 94)
      w(  5) =  rk(  5) * Y( 88) * Y( 94)
      w(  6) =  rk(  6) * Y( 88) * Y( 92)
      w(  7) =  rk(  7) * Y( 94) * Y( 91)
      w(  8) =  rk(  8) * Y( 91)
      w(  9) =  rk(  9) * Y( 91)
      w( 10) =  rk( 10) * Y(  4)
      w( 11) =  rk( 11) * Y(  4)
      w( 12) =  rk( 12) * Y( 91) * Y( 86)
      w( 13) =  rk( 13) * Y( 91) * Y( 96)
      w( 14) =  rk( 14) * Y( 87)
      w( 15) =  rk( 15) * Y( 87)
      w( 16) =  rk( 16) * Y( 87) * Y( 92)
      w( 17) =  rk( 17) * Y( 87) * Y( 94)
      w( 18) =  rk( 18) * Y( 87) * Y( 94)
      w( 19) =  rk( 19) * Y( 25)
      w( 20) =  rk( 20) * Y( 25)
      w( 21) =  rk( 21) * Y( 92) * Y( 92)
      w( 22) =  rk( 22) * Y( 92) * Y( 94)
      w( 23) =  rk( 23) * Y( 86) * Y( 92)
      w( 24) =  rk( 24) * Y( 41)
      w( 25) =  rk( 25) * Y( 86) * Y( 41)
      w( 26) =  rk( 26) * Y( 41) * Y( 41)
      w( 27) =  rk( 27) * Y( 94) * Y( 86)
      w( 28) =  rk( 28) * Y( 86) * Y( 79)
      w( 29) =  rk( 29) * Y( 96) * Y( 92)
      w( 30) =  rk( 30) * Y( 96) * Y( 94)
      w( 31) =  rk( 31) * Y( 36)
      w( 32) =  rk( 32) * Y( 86) * Y( 36)
      w( 33) =  rk( 33) * Y( 96) * Y( 96)
      w( 34) =  rk( 34) * Y( 96) * Y( 96)
      w( 35) =  rk( 35) * Y( 40)
      w( 36) =  rk( 36) * Y( 86) * Y( 40)
      w( 37) =  rk( 37) * Y(  4)
      w( 38) =  rk( 38) * Y( 86)
      w( 39) =  rk( 39) * Y( 86) * Y( 88)
      w( 40) =  rk( 40) * Y( 86) * Y( 86)
      w( 41) =  rk( 41) * Y( 86) * Y( 86)
      w( 42) =  rk( 42) * Y( 86) * Y( 96)
      w( 43) =  rk( 43) * Y( 96) * Y( 88)
      w( 44) =  rk( 44) * Y( 40) * Y( 88)
      w( 45) =  rk( 45) * Y( 87) * Y( 88)
      w( 46) =  rk( 46) * Y( 87) * Y( 86)
      w( 47) =  rk( 47) * Y( 87) * Y( 96)
      w( 48) =  rk( 48) * Y( 87) * Y( 91)
      w( 49) =  rk( 49) * Y( 87) * Y( 87)
      w( 50) =  rk( 50) * Y( 36)
      w( 51) =  rk( 51) * Y( 79)
      w( 52) =  rk( 52) * Y( 25)
      w( 53) =  rk( 53) * Y( 95) * Y( 92)
      w( 54) =  rk( 54) * Y( 83) * Y( 92)
      w( 55) =  rk( 55) * Y( 95) * Y( 96)
      w( 56) =  rk( 56) * Y( 83) * Y( 96)
      w( 57) =  rk( 57) * Y( 95) * Y( 95)
      w( 58) =  rk( 58) * Y( 83) * Y( 83)
      w( 59) =  rk( 59) * Y( 95) * Y( 83)
      w( 60) =  rk( 60) * Y( 73) * Y( 86)
      w( 61) =  rk( 61) * Y( 73)
      w( 62) =  rk( 62) * Y( 61) * Y( 86)
      w( 63) =  rk( 63) * Y( 61)
      w( 64) =  rk( 64) * Y( 86) * Y( 77)
      w( 65) =  rk( 65) * Y( 86) * Y(  6)
      w( 66) =  rk( 66) * Y( 84) * Y( 92)
      w( 67) =  rk( 67) * Y( 84) * Y( 96)
      w( 68) =  rk( 68) * Y( 84) * Y( 84)
      w( 69) =  rk( 69) * Y( 43) * Y( 86)
      w( 70) =  rk( 70) * Y( 43)
      w( 71) =  rk( 71) * Y( 23) * Y( 86)
      w( 72) =  rk( 72) * Y( 85) * Y( 86)
      w( 73) =  rk( 73) * Y( 85)
      w( 74) =  rk( 74) * Y( 85)
      w( 75) =  rk( 75) * Y( 85) * Y( 88)
      w( 76) =  rk( 76) * Y( 85) * Y( 87)
      w( 77) =  rk( 77) * Y( 85) * Y( 96)
      w( 78) =  rk( 78) * Y( 42)
      w( 79) =  rk( 79) * Y( 42) * Y( 92)
      w( 80) =  rk( 80) * Y( 42) * Y( 96)
      w( 81) =  rk( 81) * Y( 56) * Y( 86)
      w( 82) =  rk( 82) * Y( 89) * Y( 88)
      w( 83) =  rk( 83) * Y( 89) * Y( 86)
      w( 84) =  rk( 84) * Y( 89) * Y( 87)
      w( 85) =  rk( 85) * Y( 89)
      w( 86) =  rk( 86) * Y( 93) * Y( 92)
      w( 87) =  rk( 87) * Y( 93) * Y( 94)
      w( 88) =  rk( 88) * Y( 31)
      w( 89) =  rk( 89) * Y( 31)
      w( 90) =  rk( 90) * Y( 93) * Y( 96)
      w( 91) =  rk( 91) * Y( 93) * Y( 84)
      w( 92) =  rk( 92) * Y( 93) * Y( 95)
      w( 93) =  rk( 93) * Y( 93) * Y( 93)
      w( 94) =  rk( 94) * Y( 62) * Y( 86)
      w( 95) =  rk( 95) * Y( 62)
      w( 96) =  rk( 96) * Y( 76) * Y( 86)
      w( 97) =  rk( 97) * Y( 75) * Y( 88)
      w( 98) =  rk( 98) * Y( 75) * Y( 86)
      w( 99) =  rk( 99) * Y( 75) * Y( 87)
      w(100) =  rk(100) * Y( 75)
      w(101) =  rk(101) * Y( 90) * Y( 92)
      w(102) =  rk(102) * Y( 90) * Y( 94)
      w(103) =  rk(103) * Y( 38)
      w(104) =  rk(104) * Y( 38)
      w(105) =  rk(105) * Y( 38) * Y( 86)
      w(106) =  rk(106) * Y( 90) * Y( 96)
      w(107) =  rk(107) * Y( 93) * Y( 84)
      w(108) =  rk(108) * Y( 93) * Y( 95)
      w(109) =  rk(109) * Y( 90) * Y( 90)
      w(110) =  rk(110) * Y( 90) * Y( 93)
      w(111) =  rk(111) * Y( 74) * Y( 86)
      w(112) =  rk(112) * Y( 39)
      w(113) =  rk(113) * Y( 39)
      w(114) =  rk(114) * Y( 39) * Y( 94)
      w(115) =  rk(115) * Y( 88) * Y( 58)
      w(116) =  rk(116) * Y( 86) * Y( 58)
      w(117) =  rk(117) * Y( 91) * Y( 58)
      w(118) =  rk(118) * Y( 87) * Y( 58)
      w(119) =  rk(119) * Y( 88) * Y( 55)
      w(120) =  rk(120) * Y( 86) * Y( 55)
      w(121) =  rk(121) * Y( 91) * Y( 55)
      w(122) =  rk(122) * Y( 87) * Y( 55)
      w(123) =  rk(123) * Y( 59) * Y( 88)
      w(124) =  rk(124) * Y( 59) * Y( 86)
      w(125) =  rk(125) * Y( 59) * Y( 91)
      w(126) =  rk(126) * Y( 59) * Y( 87)
      w(127) =  rk(127) * Y(  8) * Y( 86)
      w(128) =  rk(128) * Y( 24) * Y( 92)
      w(129) =  rk(129) * Y( 24)
      w(130) =  rk(130) * Y( 86) * Y( 63)
      w(131) =  rk(131) * Y( 63) * Y( 87)
      w(132) =  rk(132) * Y( 64) * Y( 94)
      w(133) =  rk(133) * Y( 64) * Y( 96)
      w(134) =  rk(134) * Y( 44)
      w(135) =  rk(135) * Y( 44) * Y( 86)
      w(136) =  rk(136) * Y( 44) * Y( 91)
      w(137) =  rk(137) * Y( 86) * Y(  9)
      w(138) =  rk(138) * Y( 86) * Y( 45)
      w(139) =  rk(139) * Y( 45)
      w(140) =  rk(140) * Y( 88) * Y( 71)
      w(141) =  rk(141) * Y( 86) * Y( 71)
      w(142) =  rk(142) * Y( 91) * Y( 71)
      w(143) =  rk(143) * Y( 87) * Y( 71)
      w(144) =  rk(144) * Y( 86) * Y( 72)
      w(145) =  rk(145) * Y( 91) * Y( 72)
      w(146) =  rk(146) * Y( 87) * Y( 72)
      w(147) =  rk(147) * Y( 72)
      w(148) =  rk(148) * Y( 10) * Y( 86)
      w(149) =  rk(149) * Y( 86) * Y(  5)
      w(150) =  rk(150) * Y( 86) * Y(  7)
      w(151) =  rk(151) * Y( 94) * Y( 71)
      w(152) =  rk(152) * Y( 96)
      w(153) =  rk(153) * Y( 94)
      w(154) =  rk(154) * Y( 87)
      w(155) =  rk(155) * Y( 25)
      w(156) =  rk(156) * Y( 46) * Y( 86)
      w(157) =  rk(157) * Y( 46) * Y( 91)
      w(158) =  rk(158) * Y( 46) * Y( 87)
      w(159) =  rk(159) * Y( 49) * Y( 86)
      w(160) =  rk(160) * Y( 49) * Y( 91)
      w(161) =  rk(161) * Y( 49) * Y( 87)
      w(162) =  rk(162) * Y( 82) * Y( 96)
      w(163) =  rk(163) * Y( 82) * Y( 84)
      w(164) =  rk(164) * Y( 82) * Y( 93)
      w(165) =  rk(165) * Y( 82) * Y( 92)
      w(166) =  rk(166) * Y( 82) * Y( 87)
      w(167) =  rk(167) * Y( 78) * Y( 96)
      w(168) =  rk(168) * Y( 78) * Y( 84)
      w(169) =  rk(169) * Y( 78) * Y( 93)
      w(170) =  rk(170) * Y( 78) * Y( 92)
      w(171) =  rk(171) * Y( 78) * Y( 87)
      w(172) =  rk(172) * Y( 80) * Y( 96)
      w(173) =  rk(173) * Y( 80) * Y( 84)
      w(174) =  rk(174) * Y( 80) * Y( 93)
      w(175) =  rk(175) * Y( 80) * Y( 87)
      w(176) =  rk(176) * Y( 80) * Y( 92)
      w(177) =  rk(177) * Y( 70) * Y( 86)
      w(178) =  rk(178) * Y( 70) * Y( 87)
      w(179) =  rk(179) * Y( 81) * Y( 92)
      w(180) =  rk(180) * Y( 81) * Y( 96)
      w(181) =  rk(181) * Y( 81) * Y( 84)
      w(182) =  rk(182) * Y( 81) * Y( 94)
      w(183) =  rk(183) * Y( 57)
      w(184) =  rk(184) * Y( 57) * Y( 86)
      w(185) =  rk(185) * Y( 57) * Y( 87)
      w(186) =  rk(186) * Y( 28)
      w(187) =  rk(187) * Y( 12) * Y( 86)
      w(188) =  rk(188) * Y( 60) * Y( 86)
      w(189) =  rk(189) * Y( 60) * Y( 87)
      w(190) =  rk(190) * Y( 60) * Y( 91)
      w(191) =  rk(191) * Y( 15) * Y( 86)
      w(192) =  rk(192) * Y( 16) * Y( 86)
      w(193) =  rk(193) * Y( 17) * Y( 86)
      w(194) =  rk(194) * Y( 46) * Y( 88)
      w(195) =  rk(195) * Y( 49) * Y( 88)
      w(196) =  rk(196) * Y( 60) * Y( 88)
      w(197) =  rk(197) * Y( 48)
      w(198) =  rk(198) * Y( 21)
      w(199) =  rk(199) * Y( 22)
      w(200) =  rk(200) * Y( 32)
      w(201) =  rk(201) * Y( 52) * Y( 48)
      w(202) =  rk(202) * Y( 52) * Y( 96)
      w(203) =  rk(203) * Y( 52) * Y( 92)
      w(204) =  rk(204) * Y( 32) * Y( 52)
      w(205) =  rk(205) * Y( 32) * Y( 96)
      w(206) =  rk(206) * Y( 50) * Y( 86)
      w(207) =  rk(207) * Y( 53) * Y( 92)
      w(208) =  rk(208) * Y( 67) * Y( 92)
      w(209) =  rk(209) * Y( 67) * Y( 96)
      w(210) =  rk(210) * Y( 67) * Y( 87)
      w(211) =  rk(211) * Y( 67) * Y( 95)
      w(212) =  rk(212) * Y( 12) * Y( 87)
 
      RETURN
      END
 
