C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine dratedc                        (
     $    ns,nr,rk,y,dw)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: RACM_SORGAM_isop_new
C     Species: _ciRACM_SORGAM_isop.
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     DW: derivative of reaction rates wrt Y.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),dw(nr,ns)
 
 
 
      dw(  1, 87) =  rk(  1)
      dw(  2, 63) =  rk(  2)
      dw(  3, 63) =  rk(  3)
      dw(  4, 32) =  rk(  4)
      dw(  5, 73) =  rk(  5)
      dw(  6, 22) =  rk(  6)
      dw(  7, 85) =  rk(  7)
      dw(  8, 85) =  rk(  8)
      dw(  9, 43) =  rk(  9)
      dw( 10, 80) =  rk( 10)
      dw( 11, 80) =  rk( 11)
      dw( 12, 77) =  rk( 12)
      dw( 13, 23) =  rk( 13)
      dw( 14, 69) =  rk( 14)
      dw( 15, 35) =  rk( 15)
      dw( 16, 75) =  rk( 16)
      dw( 17, 65) =  rk( 17)
      dw( 18, 65) =  rk( 18)
      dw( 19, 72) =  rk( 19)
      dw( 20, 62) =  rk( 20)
      dw( 21, 74) =  rk( 21)
      dw( 22, 60) =  rk( 22)
      dw( 23, 45) =  rk( 23)
      dw( 24, 50) =  rk( 24)
      dw( 25, 50) =  rk( 25) * Y( 63)
      dw( 25, 63) =  rk( 25) * Y( 50)
      dw( 26,  7) =  rk( 26)
      dw( 27,  7) =  rk( 27)
      dw( 28,  7) =  rk( 28)
      dw( 29, 63) =  rk( 29) * Y( 78)
      dw( 29, 78) =  rk( 29) * Y( 63)
      dw( 30, 63) =  rk( 30) * Y( 86)
      dw( 30, 86) =  rk( 30) * Y( 63)
      dw( 31, 78) =  rk( 31) * Y( 86)
      dw( 31, 86) =  rk( 31) * Y( 78)
      dw( 32, 43) =  rk( 32) * Y( 78)
      dw( 32, 78) =  rk( 32) * Y( 43)
      dw( 33, 86) =  rk( 33) * Y( 86)
      dw( 33, 86) =  rk( 33) * Y( 86)
      dw( 34, 86) =  rk( 34) * Y( 86)
      dw( 34, 86) =  rk( 34) * Y( 86)
      dw( 35, 50) =  rk( 35) * Y( 84)
      dw( 35, 84) =  rk( 35) * Y( 50)
      dw( 36, 50) =  rk( 36) * Y( 87)
      dw( 36, 87) =  rk( 36) * Y( 50)
      dw( 37, 50) =  rk( 37) * Y( 87)
      dw( 37, 87) =  rk( 37) * Y( 50)
      dw( 38, 78) =  rk( 38) * Y( 84)
      dw( 38, 84) =  rk( 38) * Y( 78)
      dw( 39, 78) =  rk( 39) * Y( 87)
      dw( 39, 87) =  rk( 39) * Y( 78)
      dw( 40, 78) =  rk( 40) * Y( 85)
      dw( 40, 85) =  rk( 40) * Y( 78)
      dw( 41, 86) =  rk( 41) * Y( 84)
      dw( 41, 84) =  rk( 41) * Y( 86)
      dw( 42, 86) =  rk( 42) * Y( 87)
      dw( 42, 87) =  rk( 42) * Y( 86)
      dw( 43, 22) =  rk( 43)
      dw( 44, 86) =  rk( 44) * Y( 85)
      dw( 44, 85) =  rk( 44) * Y( 86)
      dw( 45, 78) =  rk( 45) * Y( 32)
      dw( 45, 32) =  rk( 45) * Y( 78)
      dw( 46, 78) =  rk( 46) * Y( 73)
      dw( 46, 73) =  rk( 46) * Y( 78)
      dw( 47, 78) =  rk( 47) * Y( 22)
      dw( 47, 22) =  rk( 47) * Y( 78)
      dw( 48, 63) =  rk( 48) * Y( 84)
      dw( 48, 84) =  rk( 48) * Y( 63)
      dw( 49, 63) =  rk( 49) * Y( 87)
      dw( 49, 87) =  rk( 49) * Y( 63)
      dw( 50, 84) =  rk( 50) * Y( 84)
      dw( 50, 84) =  rk( 50) * Y( 84)
      dw( 51, 85) =  rk( 51) * Y( 84)
      dw( 51, 84) =  rk( 51) * Y( 85)
      dw( 52, 85) =  rk( 52) * Y( 87)
      dw( 52, 87) =  rk( 52) * Y( 85)
      dw( 53, 85) =  rk( 53) * Y( 87)
      dw( 53, 87) =  rk( 53) * Y( 85)
      dw( 54, 17) =  rk( 54)
      dw( 55, 85) =  rk( 55) * Y( 85)
      dw( 55, 85) =  rk( 55) * Y( 85)
      dw( 56, 78) =  rk( 56)
      dw( 57, 78) =  rk( 57) * Y(  9)
      dw( 57,  9) =  rk( 57) * Y( 78)
      dw( 58, 64) =  rk( 58) * Y( 78)
      dw( 58, 78) =  rk( 58) * Y( 64)
      dw( 59, 33) =  rk( 59) * Y( 50)
      dw( 59, 50) =  rk( 59) * Y( 33)
      dw( 60, 60) =  rk( 60) * Y( 50)
      dw( 60, 50) =  rk( 60) * Y( 60)
      dw( 61, 34) =  rk( 61) * Y( 78)
      dw( 61, 78) =  rk( 61) * Y( 34)
      dw( 62, 30) =  rk( 62) * Y( 78)
      dw( 62, 78) =  rk( 62) * Y( 30)
      dw( 63, 11) =  rk( 63) * Y( 78)
      dw( 63, 78) =  rk( 63) * Y( 11)
      dw( 64,  3) =  rk( 64) * Y( 78)
      dw( 64, 78) =  rk( 64) * Y(  3)
      dw( 65,  4) =  rk( 65) * Y( 78)
      dw( 65, 78) =  rk( 65) * Y(  4)
      dw( 66, 25) =  rk( 66) * Y( 78)
      dw( 66, 78) =  rk( 66) * Y( 25)
      dw( 67, 52) =  rk( 67) * Y( 78)
      dw( 67, 78) =  rk( 67) * Y( 52)
      dw( 68, 56) =  rk( 68) * Y( 78)
      dw( 68, 78) =  rk( 68) * Y( 56)
      dw( 69, 19) =  rk( 69) * Y( 78)
      dw( 69, 78) =  rk( 69) * Y( 19)
      dw( 70, 33) =  rk( 70) * Y( 78)
      dw( 70, 78) =  rk( 70) * Y( 33)
      dw( 71, 24) =  rk( 71) * Y( 78)
      dw( 71, 78) =  rk( 71) * Y( 24)
      dw( 72, 26) =  rk( 72) * Y( 78)
      dw( 72, 78) =  rk( 72) * Y( 26)
      dw( 73,  5) =  rk( 73) * Y( 78)
      dw( 73, 78) =  rk( 73) * Y(  5)
      dw( 74,  6) =  rk( 74) * Y( 78)
      dw( 74, 78) =  rk( 74) * Y(  6)
      dw( 75, 37) =  rk( 75) * Y( 78)
      dw( 75, 78) =  rk( 75) * Y( 37)
      dw( 76, 80) =  rk( 76) * Y( 78)
      dw( 76, 78) =  rk( 76) * Y( 80)
      dw( 77, 77) =  rk( 77) * Y( 78)
      dw( 77, 78) =  rk( 77) * Y( 77)
      dw( 78, 75) =  rk( 78) * Y( 78)
      dw( 78, 78) =  rk( 78) * Y( 75)
      dw( 79, 45) =  rk( 79) * Y( 78)
      dw( 79, 78) =  rk( 79) * Y( 45)
      dw( 80, 65) =  rk( 80) * Y( 78)
      dw( 80, 78) =  rk( 80) * Y( 65)
      dw( 81, 72) =  rk( 81) * Y( 78)
      dw( 81, 78) =  rk( 81) * Y( 72)
      dw( 82, 60) =  rk( 82) * Y( 78)
      dw( 82, 78) =  rk( 82) * Y( 60)
      dw( 83, 78) =  rk( 83) * Y( 62)
      dw( 83, 62) =  rk( 83) * Y( 78)
      dw( 84, 78) =  rk( 84) * Y( 16)
      dw( 84, 16) =  rk( 84) * Y( 78)
      dw( 85, 23) =  rk( 85) * Y( 78)
      dw( 85, 78) =  rk( 85) * Y( 23)
      dw( 86, 69) =  rk( 86) * Y( 78)
      dw( 86, 78) =  rk( 86) * Y( 69)
      dw( 87, 35) =  rk( 87) * Y( 78)
      dw( 87, 78) =  rk( 87) * Y( 35)
      dw( 88, 47) =  rk( 88) * Y( 78)
      dw( 88, 78) =  rk( 88) * Y( 47)
      dw( 89, 46) =  rk( 89) * Y( 78)
      dw( 89, 78) =  rk( 89) * Y( 46)
      dw( 90, 74) =  rk( 90) * Y( 78)
      dw( 90, 78) =  rk( 90) * Y( 74)
      dw( 91, 80) =  rk( 91) * Y( 85)
      dw( 91, 85) =  rk( 91) * Y( 80)
      dw( 92, 77) =  rk( 92) * Y( 85)
      dw( 92, 85) =  rk( 92) * Y( 77)
      dw( 93, 65) =  rk( 93) * Y( 85)
      dw( 93, 85) =  rk( 93) * Y( 65)
      dw( 94, 72) =  rk( 94) * Y( 85)
      dw( 94, 85) =  rk( 94) * Y( 72)
      dw( 95, 60) =  rk( 95) * Y( 85)
      dw( 95, 85) =  rk( 95) * Y( 60)
      dw( 96, 62) =  rk( 96) * Y( 85)
      dw( 96, 85) =  rk( 96) * Y( 62)
      dw( 97, 37) =  rk( 97) * Y( 85)
      dw( 97, 85) =  rk( 97) * Y( 37)
      dw( 98, 25) =  rk( 98) * Y( 85)
      dw( 98, 85) =  rk( 98) * Y( 25)
      dw( 99, 52) =  rk( 99) * Y( 85)
      dw( 99, 85) =  rk( 99) * Y( 52)
      dw(100, 56) =  rk(100) * Y( 85)
      dw(100, 85) =  rk(100) * Y( 56)
      dw(101, 19) =  rk(101) * Y( 85)
      dw(101, 85) =  rk(101) * Y( 19)
      dw(102, 33) =  rk(102) * Y( 85)
      dw(102, 85) =  rk(102) * Y( 33)
      dw(103, 24) =  rk(103) * Y( 85)
      dw(103, 85) =  rk(103) * Y( 24)
      dw(104, 26) =  rk(104) * Y( 85)
      dw(104, 85) =  rk(104) * Y( 26)
      dw(105, 46) =  rk(105) * Y( 85)
      dw(105, 85) =  rk(105) * Y( 46)
      dw(106, 25) =  rk(106) * Y( 63)
      dw(106, 63) =  rk(106) * Y( 25)
      dw(107, 52) =  rk(107) * Y( 63)
      dw(107, 63) =  rk(107) * Y( 52)
      dw(108, 56) =  rk(108) * Y( 63)
      dw(108, 63) =  rk(108) * Y( 56)
      dw(109, 19) =  rk(109) * Y( 63)
      dw(109, 63) =  rk(109) * Y( 19)
      dw(110, 33) =  rk(110) * Y( 63)
      dw(110, 63) =  rk(110) * Y( 33)
      dw(111, 24) =  rk(111) * Y( 63)
      dw(111, 63) =  rk(111) * Y( 24)
      dw(112, 26) =  rk(112) * Y( 63)
      dw(112, 63) =  rk(112) * Y( 26)
      dw(113, 60) =  rk(113) * Y( 63)
      dw(113, 63) =  rk(113) * Y( 60)
      dw(114, 62) =  rk(114) * Y( 63)
      dw(114, 63) =  rk(114) * Y( 62)
      dw(115, 46) =  rk(115) * Y( 63)
      dw(115, 63) =  rk(115) * Y( 46)
      dw(116, 36) =  rk(116) * Y( 87)
      dw(116, 87) =  rk(116) * Y( 36)
      dw(117, 36) =  rk(117) * Y( 86)
      dw(117, 86) =  rk(117) * Y( 36)
      dw(118, 29) =  rk(118) * Y( 87)
      dw(118, 87) =  rk(118) * Y( 29)
      dw(119, 29) =  rk(119)
      dw(120, 29) =  rk(120) * Y( 63)
      dw(120, 63) =  rk(120) * Y( 29)
      dw(121, 18) =  rk(121) * Y( 87)
      dw(121, 87) =  rk(121) * Y( 18)
      dw(122, 18) =  rk(122)
      dw(123, 18) =  rk(123) * Y( 63)
      dw(123, 63) =  rk(123) * Y( 18)
      dw(124, 31) =  rk(124) * Y( 87)
      dw(124, 87) =  rk(124) * Y( 31)
      dw(125, 31) =  rk(125)
      dw(126, 31) =  rk(126) * Y( 63)
      dw(126, 63) =  rk(126) * Y( 31)
      dw(127, 83) =  rk(127) * Y( 87)
      dw(127, 87) =  rk(127) * Y( 83)
      dw(128, 47) =  rk(128)
      dw(129, 68) =  rk(129) * Y( 87)
      dw(129, 87) =  rk(129) * Y( 68)
      dw(130, 46) =  rk(130)
      dw(131, 82) =  rk(131) * Y( 84)
      dw(131, 84) =  rk(131) * Y( 82)
      dw(132, 79) =  rk(132) * Y( 84)
      dw(132, 84) =  rk(132) * Y( 79)
      dw(133, 71) =  rk(133) * Y( 84)
      dw(133, 84) =  rk(133) * Y( 71)
      dw(134, 61) =  rk(134) * Y( 84)
      dw(134, 84) =  rk(134) * Y( 61)
      dw(135, 66) =  rk(135) * Y( 84)
      dw(135, 84) =  rk(135) * Y( 66)
      dw(136, 67) =  rk(136) * Y( 84)
      dw(136, 84) =  rk(136) * Y( 67)
      dw(137, 53) =  rk(137) * Y( 84)
      dw(137, 84) =  rk(137) * Y( 53)
      dw(138, 59) =  rk(138) * Y( 84)
      dw(138, 84) =  rk(138) * Y( 59)
      dw(139, 51) =  rk(139) * Y( 84)
      dw(139, 84) =  rk(139) * Y( 51)
      dw(140, 54) =  rk(140) * Y( 84)
      dw(140, 84) =  rk(140) * Y( 54)
      dw(141, 55) =  rk(141) * Y( 84)
      dw(141, 84) =  rk(141) * Y( 55)
      dw(142, 39) =  rk(142) * Y( 84)
      dw(142, 84) =  rk(142) * Y( 39)
      dw(143, 44) =  rk(143) * Y( 84)
      dw(143, 84) =  rk(143) * Y( 44)
      dw(144, 49) =  rk(144) * Y( 84)
      dw(144, 84) =  rk(144) * Y( 49)
      dw(145, 83) =  rk(145) * Y( 84)
      dw(145, 84) =  rk(145) * Y( 83)
      dw(146, 68) =  rk(146) * Y( 84)
      dw(146, 84) =  rk(146) * Y( 68)
      dw(147, 76) =  rk(147) * Y( 84)
      dw(147, 84) =  rk(147) * Y( 76)
      dw(148, 58) =  rk(148) * Y( 84)
      dw(148, 84) =  rk(148) * Y( 58)
      dw(149, 57) =  rk(149) * Y( 84)
      dw(149, 84) =  rk(149) * Y( 57)
      dw(150, 82) =  rk(150) * Y( 86)
      dw(150, 86) =  rk(150) * Y( 82)
      dw(151, 79) =  rk(151) * Y( 86)
      dw(151, 86) =  rk(151) * Y( 79)
      dw(152, 71) =  rk(152) * Y( 86)
      dw(152, 86) =  rk(152) * Y( 71)
      dw(153, 61) =  rk(153) * Y( 86)
      dw(153, 86) =  rk(153) * Y( 61)
      dw(154, 66) =  rk(154) * Y( 86)
      dw(154, 86) =  rk(154) * Y( 66)
      dw(155, 67) =  rk(155) * Y( 86)
      dw(155, 86) =  rk(155) * Y( 67)
      dw(156, 53) =  rk(156) * Y( 86)
      dw(156, 86) =  rk(156) * Y( 53)
      dw(157, 59) =  rk(157) * Y( 86)
      dw(157, 86) =  rk(157) * Y( 59)
      dw(158, 51) =  rk(158) * Y( 86)
      dw(158, 86) =  rk(158) * Y( 51)
      dw(159, 54) =  rk(159) * Y( 86)
      dw(159, 86) =  rk(159) * Y( 54)
      dw(160, 55) =  rk(160) * Y( 86)
      dw(160, 86) =  rk(160) * Y( 55)
      dw(161, 39) =  rk(161) * Y( 86)
      dw(161, 86) =  rk(161) * Y( 39)
      dw(162, 44) =  rk(162) * Y( 86)
      dw(162, 86) =  rk(162) * Y( 44)
      dw(163, 49) =  rk(163) * Y( 86)
      dw(163, 86) =  rk(163) * Y( 49)
      dw(164, 83) =  rk(164) * Y( 86)
      dw(164, 86) =  rk(164) * Y( 83)
      dw(165, 83) =  rk(165) * Y( 86)
      dw(165, 86) =  rk(165) * Y( 83)
      dw(166, 68) =  rk(166) * Y( 86)
      dw(166, 86) =  rk(166) * Y( 68)
      dw(167, 68) =  rk(167) * Y( 86)
      dw(167, 86) =  rk(167) * Y( 68)
      dw(168, 76) =  rk(168) * Y( 86)
      dw(168, 86) =  rk(168) * Y( 76)
      dw(169, 58) =  rk(169) * Y( 86)
      dw(169, 86) =  rk(169) * Y( 58)
      dw(170, 57) =  rk(170) * Y( 86)
      dw(170, 86) =  rk(170) * Y( 57)
      dw(171, 82) =  rk(171) * Y( 82)
      dw(171, 82) =  rk(171) * Y( 82)
      dw(172, 79) =  rk(172) * Y( 82)
      dw(172, 82) =  rk(172) * Y( 79)
      dw(173, 71) =  rk(173) * Y( 82)
      dw(173, 82) =  rk(173) * Y( 71)
      dw(174, 61) =  rk(174) * Y( 82)
      dw(174, 82) =  rk(174) * Y( 61)
      dw(175, 66) =  rk(175) * Y( 82)
      dw(175, 82) =  rk(175) * Y( 66)
      dw(176, 67) =  rk(176) * Y( 82)
      dw(176, 82) =  rk(176) * Y( 67)
      dw(177, 53) =  rk(177) * Y( 82)
      dw(177, 82) =  rk(177) * Y( 53)
      dw(178, 59) =  rk(178) * Y( 82)
      dw(178, 82) =  rk(178) * Y( 59)
      dw(179, 51) =  rk(179) * Y( 82)
      dw(179, 82) =  rk(179) * Y( 51)
      dw(180, 54) =  rk(180) * Y( 82)
      dw(180, 82) =  rk(180) * Y( 54)
      dw(181, 55) =  rk(181) * Y( 82)
      dw(181, 82) =  rk(181) * Y( 55)
      dw(182, 39) =  rk(182) * Y( 82)
      dw(182, 82) =  rk(182) * Y( 39)
      dw(183, 44) =  rk(183) * Y( 82)
      dw(183, 82) =  rk(183) * Y( 44)
      dw(184, 49) =  rk(184) * Y( 82)
      dw(184, 82) =  rk(184) * Y( 49)
      dw(185, 83) =  rk(185) * Y( 82)
      dw(185, 82) =  rk(185) * Y( 83)
      dw(186, 83) =  rk(186) * Y( 82)
      dw(186, 82) =  rk(186) * Y( 83)
      dw(187, 68) =  rk(187) * Y( 82)
      dw(187, 82) =  rk(187) * Y( 68)
      dw(188, 68) =  rk(188) * Y( 82)
      dw(188, 82) =  rk(188) * Y( 68)
      dw(189, 76) =  rk(189) * Y( 82)
      dw(189, 82) =  rk(189) * Y( 76)
      dw(190, 58) =  rk(190) * Y( 82)
      dw(190, 82) =  rk(190) * Y( 58)
      dw(191, 57) =  rk(191) * Y( 82)
      dw(191, 82) =  rk(191) * Y( 57)
      dw(192, 79) =  rk(192) * Y( 83)
      dw(192, 83) =  rk(192) * Y( 79)
      dw(193, 71) =  rk(193) * Y( 83)
      dw(193, 83) =  rk(193) * Y( 71)
      dw(194, 61) =  rk(194) * Y( 83)
      dw(194, 83) =  rk(194) * Y( 61)
      dw(195, 66) =  rk(195) * Y( 83)
      dw(195, 83) =  rk(195) * Y( 66)
      dw(196, 67) =  rk(196) * Y( 83)
      dw(196, 83) =  rk(196) * Y( 67)
      dw(197, 53) =  rk(197) * Y( 83)
      dw(197, 83) =  rk(197) * Y( 53)
      dw(198, 59) =  rk(198) * Y( 83)
      dw(198, 83) =  rk(198) * Y( 59)
      dw(199, 51) =  rk(199) * Y( 83)
      dw(199, 83) =  rk(199) * Y( 51)
      dw(200, 54) =  rk(200) * Y( 83)
      dw(200, 83) =  rk(200) * Y( 54)
      dw(201, 55) =  rk(201) * Y( 83)
      dw(201, 83) =  rk(201) * Y( 55)
      dw(202, 39) =  rk(202) * Y( 83)
      dw(202, 83) =  rk(202) * Y( 39)
      dw(203, 44) =  rk(203) * Y( 83)
      dw(203, 83) =  rk(203) * Y( 44)
      dw(204, 49) =  rk(204) * Y( 83)
      dw(204, 83) =  rk(204) * Y( 49)
      dw(205, 83) =  rk(205) * Y( 83)
      dw(205, 83) =  rk(205) * Y( 83)
      dw(206, 68) =  rk(206) * Y( 83)
      dw(206, 83) =  rk(206) * Y( 68)
      dw(207, 76) =  rk(207) * Y( 83)
      dw(207, 83) =  rk(207) * Y( 76)
      dw(208, 58) =  rk(208) * Y( 83)
      dw(208, 83) =  rk(208) * Y( 58)
      dw(209, 57) =  rk(209) * Y( 83)
      dw(209, 83) =  rk(209) * Y( 57)
      dw(210, 58) =  rk(210) * Y( 58)
      dw(210, 58) =  rk(210) * Y( 58)
      dw(211, 58) =  rk(211) * Y( 57)
      dw(211, 57) =  rk(211) * Y( 58)
      dw(212, 57) =  rk(212) * Y( 57)
      dw(212, 57) =  rk(212) * Y( 57)
      dw(213, 82) =  rk(213) * Y( 85)
      dw(213, 85) =  rk(213) * Y( 82)
      dw(214, 79) =  rk(214) * Y( 85)
      dw(214, 85) =  rk(214) * Y( 79)
      dw(215, 71) =  rk(215) * Y( 85)
      dw(215, 85) =  rk(215) * Y( 71)
      dw(216, 61) =  rk(216) * Y( 85)
      dw(216, 85) =  rk(216) * Y( 61)
      dw(217, 66) =  rk(217) * Y( 85)
      dw(217, 85) =  rk(217) * Y( 66)
      dw(218, 67) =  rk(218) * Y( 85)
      dw(218, 85) =  rk(218) * Y( 67)
      dw(219, 53) =  rk(219) * Y( 85)
      dw(219, 85) =  rk(219) * Y( 53)
      dw(220, 59) =  rk(220) * Y( 85)
      dw(220, 85) =  rk(220) * Y( 59)
      dw(221, 51) =  rk(221) * Y( 85)
      dw(221, 85) =  rk(221) * Y( 51)
      dw(222, 54) =  rk(222) * Y( 85)
      dw(222, 85) =  rk(222) * Y( 54)
      dw(223, 55) =  rk(223) * Y( 85)
      dw(223, 85) =  rk(223) * Y( 55)
      dw(224, 39) =  rk(224) * Y( 85)
      dw(224, 85) =  rk(224) * Y( 39)
      dw(225, 44) =  rk(225) * Y( 85)
      dw(225, 85) =  rk(225) * Y( 44)
      dw(226, 49) =  rk(226) * Y( 85)
      dw(226, 85) =  rk(226) * Y( 49)
      dw(227, 83) =  rk(227) * Y( 85)
      dw(227, 85) =  rk(227) * Y( 83)
      dw(228, 68) =  rk(228) * Y( 85)
      dw(228, 85) =  rk(228) * Y( 68)
      dw(229, 76) =  rk(229) * Y( 85)
      dw(229, 85) =  rk(229) * Y( 76)
      dw(230, 58) =  rk(230) * Y( 85)
      dw(230, 85) =  rk(230) * Y( 58)
      dw(231, 57) =  rk(231) * Y( 85)
      dw(231, 85) =  rk(231) * Y( 57)
      dw(232, 81) =  rk(232) * Y( 86)
      dw(232, 86) =  rk(232) * Y( 81)
      dw(233, 81) =  rk(233) * Y( 82)
      dw(233, 82) =  rk(233) * Y( 81)
      dw(234, 81) =  rk(234) * Y( 83)
      dw(234, 83) =  rk(234) * Y( 81)
      dw(235, 81) =  rk(235) * Y( 81)
      dw(235, 81) =  rk(235) * Y( 81)
      dw(236, 81) =  rk(236) * Y( 84)
      dw(236, 84) =  rk(236) * Y( 81)
      dw(237, 81) =  rk(237) * Y( 85)
      dw(237, 85) =  rk(237) * Y( 81)
      dw(238, 86) =  rk(238)
      dw(239, 87) =  rk(239)
      dw(240, 85) =  rk(240)
      dw(241, 17) =  rk(241)
      dw(242, 12) =  rk(242) * Y( 78)
      dw(242, 78) =  rk(242) * Y( 12)
 
      RETURN
      END
 
