C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine dratedc                        (
     $    ns,nr,rk,y,dw)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: RACM2_SORGAM_isop_tp
C     Species: _ciRACM2_SORGAM_iso2
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     DW: derivative of reaction rates wrt Y.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),dw(nr,ns)
 
 
 
      dw(  1,123) =  rk(  1)
      dw(  2, 97) =  rk(  2)
      dw(  3, 97) =  rk(  3)
      dw(  4, 28) =  rk(  4)
      dw(  5,111) =  rk(  5)
      dw(  6, 48) =  rk(  6)
      dw(  7,129) =  rk(  7)
      dw(  8,129) =  rk(  8)
      dw(  9, 53) =  rk(  9)
      dw( 10,128) =  rk( 10)
      dw( 11,128) =  rk( 11)
      dw( 12, 95) =  rk( 12)
      dw( 13,119) =  rk( 13)
      dw( 14, 78) =  rk( 14)
      dw( 15, 41) =  rk( 15)
      dw( 16,116) =  rk( 16)
      dw( 17, 75) =  rk( 17)
      dw( 18, 96) =  rk( 18)
      dw( 19, 84) =  rk( 19)
      dw( 20, 85) =  rk( 20)
      dw( 21,108) =  rk( 21)
      dw( 22,108) =  rk( 22)
      dw( 23,108) =  rk( 23)
      dw( 24,110) =  rk( 24)
      dw( 25, 76) =  rk( 25)
      dw( 26, 68) =  rk( 26)
      dw( 27, 98) =  rk( 27)
      dw( 28, 66) =  rk( 28)
      dw( 29, 45) =  rk( 29)
      dw( 30,126) =  rk( 30)
      dw( 31, 74) =  rk( 31)
      dw( 32,118) =  rk( 32)
      dw( 33, 46) =  rk( 33)
      dw( 34, 46) =  rk( 34)
      dw( 35, 51) =  rk( 35)
      dw( 36, 51) =  rk( 36) * Y( 97)
      dw( 36, 97) =  rk( 36) * Y( 51)
      dw( 37,  3) =  rk( 37)
      dw( 38,  3) =  rk( 38)
      dw( 39,  3) =  rk( 39)
      dw( 40, 97) =  rk( 40) * Y(131)
      dw( 40,131) =  rk( 40) * Y( 97)
      dw( 41, 97) =  rk( 41) * Y(130)
      dw( 41,130) =  rk( 41) * Y( 97)
      dw( 42,131) =  rk( 42) * Y(130)
      dw( 42,130) =  rk( 42) * Y(131)
      dw( 43, 53) =  rk( 43) * Y(131)
      dw( 43,131) =  rk( 43) * Y( 53)
      dw( 44,130) =  rk( 44) * Y(130)
      dw( 44,130) =  rk( 44) * Y(130)
      dw( 45,130) =  rk( 45) * Y(130)
      dw( 45,130) =  rk( 45) * Y(130)
      dw( 46, 51) =  rk( 46) * Y(125)
      dw( 46,125) =  rk( 46) * Y( 51)
      dw( 47, 51) =  rk( 47) * Y(123)
      dw( 47,123) =  rk( 47) * Y( 51)
      dw( 48, 51) =  rk( 48) * Y(123)
      dw( 48,123) =  rk( 48) * Y( 51)
      dw( 49,131) =  rk( 49) * Y(125)
      dw( 49,125) =  rk( 49) * Y(131)
      dw( 50,131) =  rk( 50) * Y(123)
      dw( 50,123) =  rk( 50) * Y(131)
      dw( 51,131) =  rk( 51) * Y(129)
      dw( 51,129) =  rk( 51) * Y(131)
      dw( 52,130) =  rk( 52) * Y(125)
      dw( 52,125) =  rk( 52) * Y(130)
      dw( 53,130) =  rk( 53) * Y(123)
      dw( 53,123) =  rk( 53) * Y(130)
      dw( 54, 48) =  rk( 54)
      dw( 55,130) =  rk( 55) * Y(129)
      dw( 55,129) =  rk( 55) * Y(130)
      dw( 56,131) =  rk( 56) * Y( 28)
      dw( 56, 28) =  rk( 56) * Y(131)
      dw( 57,131) =  rk( 57) * Y(111)
      dw( 57,111) =  rk( 57) * Y(131)
      dw( 58,131) =  rk( 58) * Y( 48)
      dw( 58, 48) =  rk( 58) * Y(131)
      dw( 59, 97) =  rk( 59) * Y(125)
      dw( 59,125) =  rk( 59) * Y( 97)
      dw( 60, 97) =  rk( 60) * Y(123)
      dw( 60,123) =  rk( 60) * Y( 97)
      dw( 61,125) =  rk( 61) * Y(125)
      dw( 61,125) =  rk( 61) * Y(125)
      dw( 62,129) =  rk( 62) * Y(125)
      dw( 62,125) =  rk( 62) * Y(129)
      dw( 63,129) =  rk( 63) * Y(123)
      dw( 63,123) =  rk( 63) * Y(129)
      dw( 64,129) =  rk( 64) * Y(123)
      dw( 64,123) =  rk( 64) * Y(129)
      dw( 65, 20) =  rk( 65)
      dw( 66, 20) =  rk( 66)
      dw( 67,129) =  rk( 67) * Y(129)
      dw( 67,129) =  rk( 67) * Y(129)
      dw( 68,131) =  rk( 68)
      dw( 69,131) =  rk( 69) * Y(  4)
      dw( 69,  4) =  rk( 69) * Y(131)
      dw( 70,113) =  rk( 70) * Y(131)
      dw( 70,131) =  rk( 70) * Y(113)
      dw( 71, 43) =  rk( 71) * Y(131)
      dw( 71,131) =  rk( 71) * Y( 43)
      dw( 72, 44) =  rk( 72) * Y(131)
      dw( 72,131) =  rk( 72) * Y( 44)
      dw( 73,102) =  rk( 73) * Y(131)
      dw( 73,131) =  rk( 73) * Y(102)
      dw( 74, 30) =  rk( 74) * Y(131)
      dw( 74,131) =  rk( 74) * Y( 30)
      dw( 75, 94) =  rk( 75) * Y(131)
      dw( 75,131) =  rk( 75) * Y( 94)
      dw( 76,  6) =  rk( 76) * Y(131)
      dw( 76,131) =  rk( 76) * Y(  6)
      dw( 77,  8) =  rk( 77) * Y(131)
      dw( 77,131) =  rk( 77) * Y(  8)
      dw( 78,  9) =  rk( 78) * Y(131)
      dw( 78,131) =  rk( 78) * Y(  9)
      dw( 79, 10) =  rk( 79) * Y(131)
      dw( 79,131) =  rk( 79) * Y( 10)
      dw( 80, 32) =  rk( 80) * Y(131)
      dw( 80,131) =  rk( 80) * Y( 32)
      dw( 81, 42) =  rk( 81) * Y(131)
      dw( 81,131) =  rk( 81) * Y( 42)
      dw( 82, 80) =  rk( 82) * Y(131)
      dw( 82,131) =  rk( 82) * Y( 80)
      dw( 83, 29) =  rk( 83) * Y(131)
      dw( 83,131) =  rk( 83) * Y( 29)
      dw( 84, 35) =  rk( 84) * Y(131)
      dw( 84,131) =  rk( 84) * Y( 35)
      dw( 85, 25) =  rk( 85) * Y(131)
      dw( 85,131) =  rk( 85) * Y( 25)
      dw( 86, 36) =  rk( 86) * Y(131)
      dw( 86,131) =  rk( 86) * Y( 36)
      dw( 87, 34) =  rk( 87) * Y(131)
      dw( 87,131) =  rk( 87) * Y( 34)
      dw( 88, 49) =  rk( 88) * Y(131)
      dw( 88,131) =  rk( 88) * Y( 49)
      dw( 89, 39) =  rk( 89) * Y(131)
      dw( 89,131) =  rk( 89) * Y( 39)
      dw( 90, 89) =  rk( 90) * Y(131)
      dw( 90,131) =  rk( 90) * Y( 89)
      dw( 91, 21) =  rk( 91) * Y(131)
      dw( 91,131) =  rk( 91) * Y( 21)
      dw( 92, 33) =  rk( 92) * Y(131)
      dw( 92,131) =  rk( 92) * Y( 33)
      dw( 93,  7) =  rk( 93) * Y(131)
      dw( 93,131) =  rk( 93) * Y(  7)
      dw( 94, 11) =  rk( 94) * Y(131)
      dw( 94,131) =  rk( 94) * Y( 11)
      dw( 95, 57) =  rk( 95) * Y(125)
      dw( 95,125) =  rk( 95) * Y( 57)
      dw( 96, 12) =  rk( 96)
      dw( 97, 58) =  rk( 97)
      dw( 98, 58) =  rk( 98) * Y(125)
      dw( 98,125) =  rk( 98) * Y( 58)
      dw( 99, 56) =  rk( 99) * Y(125)
      dw( 99,125) =  rk( 99) * Y( 56)
      dw(100, 15) =  rk(100) * Y(131)
      dw(100,131) =  rk(100) * Y( 15)
      dw(101, 13) =  rk(101) * Y(131)
      dw(101,131) =  rk(101) * Y( 13)
      dw(102, 59) =  rk(102) * Y(125)
      dw(102,125) =  rk(102) * Y( 59)
      dw(103, 14) =  rk(103)
      dw(104, 16) =  rk(104)
      dw(105, 60) =  rk(105)
      dw(106, 65) =  rk(106)
      dw(107, 60) =  rk(107) * Y(125)
      dw(107,125) =  rk(107) * Y( 60)
      dw(108, 61) =  rk(108) * Y(125)
      dw(108,125) =  rk(108) * Y( 61)
      dw(109, 66) =  rk(109) * Y(131)
      dw(109,131) =  rk(109) * Y( 66)
      dw(110, 67) =  rk(110) * Y(125)
      dw(110,125) =  rk(110) * Y( 67)
      dw(111, 54) =  rk(111) * Y(125)
      dw(111,125) =  rk(111) * Y( 54)
      dw(112, 55) =  rk(112) * Y(123)
      dw(112,123) =  rk(112) * Y( 55)
      dw(113, 22) =  rk(113) * Y(131)
      dw(113,131) =  rk(113) * Y( 22)
      dw(114, 62) =  rk(114) * Y(131)
      dw(114,131) =  rk(114) * Y( 62)
      dw(115, 40) =  rk(115) * Y(131)
      dw(115,131) =  rk(115) * Y( 40)
      dw(116, 40) =  rk(116) * Y(129)
      dw(116,129) =  rk(116) * Y( 40)
      dw(117,100) =  rk(117) * Y( 97)
      dw(117, 97) =  rk(117) * Y(100)
      dw(118,100) =  rk(118) * Y(123)
      dw(118,123) =  rk(118) * Y(100)
      dw(119, 99) =  rk(119) * Y(125)
      dw(119,125) =  rk(119) * Y( 99)
      dw(120, 99) =  rk(120) * Y(122)
      dw(120,122) =  rk(120) * Y( 99)
      dw(121, 99) =  rk(121) * Y(124)
      dw(121,124) =  rk(121) * Y( 99)
      dw(122, 99) =  rk(122) * Y(130)
      dw(122,130) =  rk(122) * Y( 99)
      dw(123, 99) =  rk(123) * Y(129)
      dw(123,129) =  rk(123) * Y( 99)
      dw(124,128) =  rk(124) * Y(131)
      dw(124,131) =  rk(124) * Y(128)
      dw(125, 95) =  rk(125) * Y(131)
      dw(125,131) =  rk(125) * Y( 95)
      dw(126,119) =  rk(126) * Y(131)
      dw(126,131) =  rk(126) * Y(119)
      dw(127, 78) =  rk(127) * Y(131)
      dw(127,131) =  rk(127) * Y( 78)
      dw(128, 41) =  rk(128) * Y(131)
      dw(128,131) =  rk(128) * Y( 41)
      dw(129,116) =  rk(129) * Y(131)
      dw(129,131) =  rk(129) * Y(116)
      dw(130, 75) =  rk(130) * Y(131)
      dw(130,131) =  rk(130) * Y( 75)
      dw(131,108) =  rk(131) * Y(131)
      dw(131,131) =  rk(131) * Y(108)
      dw(132,110) =  rk(132) * Y(131)
      dw(132,131) =  rk(132) * Y(110)
      dw(133, 96) =  rk(133) * Y(131)
      dw(133,131) =  rk(133) * Y( 96)
      dw(134, 84) =  rk(134) * Y(131)
      dw(134,131) =  rk(134) * Y( 84)
      dw(135, 85) =  rk(135) * Y(131)
      dw(135,131) =  rk(135) * Y( 85)
      dw(136, 31) =  rk(136) * Y(131)
      dw(136,131) =  rk(136) * Y( 31)
      dw(137, 68) =  rk(137) * Y(131)
      dw(137,131) =  rk(137) * Y( 68)
      dw(138, 76) =  rk(138) * Y(131)
      dw(138,131) =  rk(138) * Y( 76)
      dw(139, 98) =  rk(139) * Y(131)
      dw(139,131) =  rk(139) * Y( 98)
      dw(140, 45) =  rk(140) * Y(131)
      dw(140,131) =  rk(140) * Y( 45)
      dw(141,126) =  rk(141) * Y(131)
      dw(141,131) =  rk(141) * Y(126)
      dw(142, 74) =  rk(142) * Y(131)
      dw(142,131) =  rk(142) * Y( 74)
      dw(143, 46) =  rk(143) * Y(131)
      dw(143,131) =  rk(143) * Y( 46)
      dw(144, 47) =  rk(144) * Y(131)
      dw(144,131) =  rk(144) * Y( 47)
      dw(145, 50) =  rk(145) * Y(131)
      dw(145,131) =  rk(145) * Y( 50)
      dw(146,118) =  rk(146) * Y(131)
      dw(146,131) =  rk(146) * Y(118)
      dw(147, 86) =  rk(147) * Y(131)
      dw(147,131) =  rk(147) * Y( 86)
      dw(148,115) =  rk(148) * Y(131)
      dw(148,131) =  rk(148) * Y(115)
      dw(149,128) =  rk(149) * Y(129)
      dw(149,129) =  rk(149) * Y(128)
      dw(150, 95) =  rk(150) * Y(129)
      dw(150,129) =  rk(150) * Y( 95)
      dw(151,119) =  rk(151) * Y(129)
      dw(151,129) =  rk(151) * Y(119)
      dw(152,108) =  rk(152) * Y(129)
      dw(152,129) =  rk(152) * Y(108)
      dw(153,110) =  rk(153) * Y(129)
      dw(153,129) =  rk(153) * Y(110)
      dw(154, 31) =  rk(154) * Y(129)
      dw(154,129) =  rk(154) * Y( 31)
      dw(155, 22) =  rk(155) * Y(129)
      dw(155,129) =  rk(155) * Y( 22)
      dw(156, 62) =  rk(156) * Y(129)
      dw(156,129) =  rk(156) * Y( 62)
      dw(157, 63) =  rk(157) * Y(125)
      dw(157,125) =  rk(157) * Y( 63)
      dw(158, 63) =  rk(158) * Y(129)
      dw(158,129) =  rk(158) * Y( 63)
      dw(159, 63) =  rk(159) * Y(122)
      dw(159,122) =  rk(159) * Y( 63)
      dw(160, 63) =  rk(160) * Y(124)
      dw(160,124) =  rk(160) * Y( 63)
      dw(161, 63) =  rk(161) * Y(130)
      dw(161,130) =  rk(161) * Y( 63)
      dw(162, 32) =  rk(162) * Y(129)
      dw(162,129) =  rk(162) * Y( 32)
      dw(163, 42) =  rk(163) * Y(129)
      dw(163,129) =  rk(163) * Y( 42)
      dw(164, 80) =  rk(164) * Y(129)
      dw(164,129) =  rk(164) * Y( 80)
      dw(165, 29) =  rk(165) * Y(129)
      dw(165,129) =  rk(165) * Y( 29)
      dw(166, 35) =  rk(166) * Y(129)
      dw(166,129) =  rk(166) * Y( 35)
      dw(167, 96) =  rk(167) * Y(129)
      dw(167,129) =  rk(167) * Y( 96)
      dw(168, 85) =  rk(168) * Y(129)
      dw(168,129) =  rk(168) * Y( 85)
      dw(169, 25) =  rk(169) * Y(129)
      dw(169,129) =  rk(169) * Y( 25)
      dw(170, 36) =  rk(170) * Y(129)
      dw(170,129) =  rk(170) * Y( 36)
      dw(171, 50) =  rk(171) * Y(129)
      dw(171,129) =  rk(171) * Y( 50)
      dw(172, 32) =  rk(172) * Y( 97)
      dw(172, 97) =  rk(172) * Y( 32)
      dw(173, 42) =  rk(173) * Y( 97)
      dw(173, 97) =  rk(173) * Y( 42)
      dw(174, 80) =  rk(174) * Y( 97)
      dw(174, 97) =  rk(174) * Y( 80)
      dw(175, 29) =  rk(175) * Y( 97)
      dw(175, 97) =  rk(175) * Y( 29)
      dw(176, 35) =  rk(176) * Y( 97)
      dw(176, 97) =  rk(176) * Y( 35)
      dw(177, 96) =  rk(177) * Y( 97)
      dw(177, 97) =  rk(177) * Y( 96)
      dw(178, 84) =  rk(178) * Y( 97)
      dw(178, 97) =  rk(178) * Y( 84)
      dw(179, 85) =  rk(179) * Y( 97)
      dw(179, 97) =  rk(179) * Y( 85)
      dw(180, 25) =  rk(180) * Y( 97)
      dw(180, 97) =  rk(180) * Y( 25)
      dw(181, 36) =  rk(181) * Y( 97)
      dw(181, 97) =  rk(181) * Y( 36)
      dw(182, 31) =  rk(182) * Y( 97)
      dw(182, 97) =  rk(182) * Y( 31)
      dw(183, 98) =  rk(183) * Y( 97)
      dw(183, 97) =  rk(183) * Y( 98)
      dw(184, 64) =  rk(184) * Y(123)
      dw(184,123) =  rk(184) * Y( 64)
      dw(185,124) =  rk(185) * Y(123)
      dw(185,123) =  rk(185) * Y(124)
      dw(186,120) =  rk(186) * Y(123)
      dw(186,123) =  rk(186) * Y(120)
      dw(187, 46) =  rk(187)
      dw(188, 47) =  rk(188)
      dw(189,109) =  rk(189) * Y(123)
      dw(189,123) =  rk(189) * Y(109)
      dw(190, 50) =  rk(190)
      dw(191,122) =  rk(191) * Y(125)
      dw(191,125) =  rk(191) * Y(122)
      dw(192,121) =  rk(192) * Y(125)
      dw(192,125) =  rk(192) * Y(121)
      dw(193,117) =  rk(193) * Y(125)
      dw(193,125) =  rk(193) * Y(117)
      dw(194, 92) =  rk(194) * Y(125)
      dw(194,125) =  rk(194) * Y( 92)
      dw(195, 69) =  rk(195) * Y(125)
      dw(195,125) =  rk(195) * Y( 69)
      dw(196, 73) =  rk(196) * Y(125)
      dw(196,125) =  rk(196) * Y( 73)
      dw(197, 72) =  rk(197) * Y(125)
      dw(197,125) =  rk(197) * Y( 72)
      dw(198,101) =  rk(198) * Y(125)
      dw(198,125) =  rk(198) * Y(101)
      dw(199, 83) =  rk(199) * Y(125)
      dw(199,125) =  rk(199) * Y( 83)
      dw(200,109) =  rk(200) * Y(125)
      dw(200,125) =  rk(200) * Y(109)
      dw(201, 88) =  rk(201) * Y(125)
      dw(201,125) =  rk(201) * Y( 88)
      dw(202, 70) =  rk(202) * Y(125)
      dw(202,125) =  rk(202) * Y( 70)
      dw(203, 87) =  rk(203) * Y(125)
      dw(203,125) =  rk(203) * Y( 87)
      dw(204, 93) =  rk(204) * Y(125)
      dw(204,125) =  rk(204) * Y( 93)
      dw(205, 77) =  rk(205) * Y(125)
      dw(205,125) =  rk(205) * Y( 77)
      dw(206, 71) =  rk(206) * Y(125)
      dw(206,125) =  rk(206) * Y( 71)
      dw(207, 65) =  rk(207) * Y(125)
      dw(207,125) =  rk(207) * Y( 65)
      dw(208,104) =  rk(208) * Y(125)
      dw(208,125) =  rk(208) * Y(104)
      dw(209,124) =  rk(209) * Y(125)
      dw(209,125) =  rk(209) * Y(124)
      dw(210,120) =  rk(210) * Y(125)
      dw(210,125) =  rk(210) * Y(120)
      dw(211,114) =  rk(211) * Y(125)
      dw(211,125) =  rk(211) * Y(114)
      dw(212, 79) =  rk(212) * Y(125)
      dw(212,125) =  rk(212) * Y( 79)
      dw(213, 82) =  rk(213) * Y(125)
      dw(213,125) =  rk(213) * Y( 82)
      dw(214, 81) =  rk(214) * Y(125)
      dw(214,125) =  rk(214) * Y( 81)
      dw(215,122) =  rk(215) * Y(130)
      dw(215,130) =  rk(215) * Y(122)
      dw(216,121) =  rk(216) * Y(130)
      dw(216,130) =  rk(216) * Y(121)
      dw(217,117) =  rk(217) * Y(130)
      dw(217,130) =  rk(217) * Y(117)
      dw(218, 92) =  rk(218) * Y(130)
      dw(218,130) =  rk(218) * Y( 92)
      dw(219, 69) =  rk(219) * Y(130)
      dw(219,130) =  rk(219) * Y( 69)
      dw(220, 73) =  rk(220) * Y(130)
      dw(220,130) =  rk(220) * Y( 73)
      dw(221, 72) =  rk(221) * Y(130)
      dw(221,130) =  rk(221) * Y( 72)
      dw(222,101) =  rk(222) * Y(130)
      dw(222,130) =  rk(222) * Y(101)
      dw(223, 83) =  rk(223) * Y(130)
      dw(223,130) =  rk(223) * Y( 83)
      dw(224,109) =  rk(224) * Y(130)
      dw(224,130) =  rk(224) * Y(109)
      dw(225, 88) =  rk(225) * Y(130)
      dw(225,130) =  rk(225) * Y( 88)
      dw(226, 87) =  rk(226) * Y(130)
      dw(226,130) =  rk(226) * Y( 87)
      dw(227, 93) =  rk(227) * Y(130)
      dw(227,130) =  rk(227) * Y( 93)
      dw(228, 77) =  rk(228) * Y(130)
      dw(228,130) =  rk(228) * Y( 77)
      dw(229, 71) =  rk(229) * Y(130)
      dw(229,130) =  rk(229) * Y( 71)
      dw(230, 58) =  rk(230) * Y(130)
      dw(230,130) =  rk(230) * Y( 58)
      dw(231, 60) =  rk(231) * Y(130)
      dw(231,130) =  rk(231) * Y( 60)
      dw(232, 65) =  rk(232) * Y(130)
      dw(232,130) =  rk(232) * Y( 65)
      dw(233,104) =  rk(233) * Y(130)
      dw(233,130) =  rk(233) * Y(104)
      dw(234, 64) =  rk(234) * Y(130)
      dw(234,130) =  rk(234) * Y( 64)
      dw(235,124) =  rk(235) * Y(130)
      dw(235,130) =  rk(235) * Y(124)
      dw(236,120) =  rk(236) * Y(130)
      dw(236,130) =  rk(236) * Y(120)
      dw(237, 79) =  rk(237) * Y(130)
      dw(237,130) =  rk(237) * Y( 79)
      dw(238, 70) =  rk(238) * Y(130)
      dw(238,130) =  rk(238) * Y( 70)
      dw(239,114) =  rk(239) * Y(130)
      dw(239,130) =  rk(239) * Y(114)
      dw(240, 82) =  rk(240) * Y(130)
      dw(240,130) =  rk(240) * Y( 82)
      dw(241, 81) =  rk(241) * Y(130)
      dw(241,130) =  rk(241) * Y( 81)
      dw(242,122) =  rk(242) * Y(122)
      dw(242,122) =  rk(242) * Y(122)
      dw(243,121) =  rk(243) * Y(122)
      dw(243,122) =  rk(243) * Y(121)
      dw(244,117) =  rk(244) * Y(122)
      dw(244,122) =  rk(244) * Y(117)
      dw(245, 92) =  rk(245) * Y(122)
      dw(245,122) =  rk(245) * Y( 92)
      dw(246, 69) =  rk(246) * Y(122)
      dw(246,122) =  rk(246) * Y( 69)
      dw(247, 73) =  rk(247) * Y(122)
      dw(247,122) =  rk(247) * Y( 73)
      dw(248, 72) =  rk(248) * Y(122)
      dw(248,122) =  rk(248) * Y( 72)
      dw(249,101) =  rk(249) * Y(122)
      dw(249,122) =  rk(249) * Y(101)
      dw(250, 83) =  rk(250) * Y(122)
      dw(250,122) =  rk(250) * Y( 83)
      dw(251,109) =  rk(251) * Y(122)
      dw(251,122) =  rk(251) * Y(109)
      dw(252, 88) =  rk(252) * Y(122)
      dw(252,122) =  rk(252) * Y( 88)
      dw(253, 87) =  rk(253) * Y(122)
      dw(253,122) =  rk(253) * Y( 87)
      dw(254, 93) =  rk(254) * Y(122)
      dw(254,122) =  rk(254) * Y( 93)
      dw(255, 77) =  rk(255) * Y(122)
      dw(255,122) =  rk(255) * Y( 77)
      dw(256, 71) =  rk(256) * Y(122)
      dw(256,122) =  rk(256) * Y( 71)
      dw(257, 58) =  rk(257) * Y(122)
      dw(257,122) =  rk(257) * Y( 58)
      dw(258, 57) =  rk(258) * Y(122)
      dw(258,122) =  rk(258) * Y( 57)
      dw(259, 56) =  rk(259) * Y(122)
      dw(259,122) =  rk(259) * Y( 56)
      dw(260, 65) =  rk(260) * Y(122)
      dw(260,122) =  rk(260) * Y( 65)
      dw(261, 59) =  rk(261) * Y(122)
      dw(261,122) =  rk(261) * Y( 59)
      dw(262, 60) =  rk(262) * Y(122)
      dw(262,122) =  rk(262) * Y( 60)
      dw(263, 61) =  rk(263) * Y(122)
      dw(263,122) =  rk(263) * Y( 61)
      dw(264, 67) =  rk(264) * Y(122)
      dw(264,122) =  rk(264) * Y( 67)
      dw(265, 54) =  rk(265) * Y(122)
      dw(265,122) =  rk(265) * Y( 54)
      dw(266,104) =  rk(266) * Y(122)
      dw(266,122) =  rk(266) * Y(104)
      dw(267,124) =  rk(267) * Y(122)
      dw(267,122) =  rk(267) * Y(124)
      dw(268,120) =  rk(268) * Y(122)
      dw(268,122) =  rk(268) * Y(120)
      dw(269, 79) =  rk(269) * Y(122)
      dw(269,122) =  rk(269) * Y( 79)
      dw(270, 70) =  rk(270) * Y(122)
      dw(270,122) =  rk(270) * Y( 70)
      dw(271,114) =  rk(271) * Y(122)
      dw(271,122) =  rk(271) * Y(114)
      dw(272, 82) =  rk(272) * Y(122)
      dw(272,122) =  rk(272) * Y( 82)
      dw(273, 81) =  rk(273) * Y(122)
      dw(273,122) =  rk(273) * Y( 81)
      dw(274,121) =  rk(274) * Y(124)
      dw(274,124) =  rk(274) * Y(121)
      dw(275,117) =  rk(275) * Y(124)
      dw(275,124) =  rk(275) * Y(117)
      dw(276, 92) =  rk(276) * Y(124)
      dw(276,124) =  rk(276) * Y( 92)
      dw(277, 69) =  rk(277) * Y(124)
      dw(277,124) =  rk(277) * Y( 69)
      dw(278, 73) =  rk(278) * Y(124)
      dw(278,124) =  rk(278) * Y( 73)
      dw(279, 72) =  rk(279) * Y(124)
      dw(279,124) =  rk(279) * Y( 72)
      dw(280,101) =  rk(280) * Y(124)
      dw(280,124) =  rk(280) * Y(101)
      dw(281, 83) =  rk(281) * Y(124)
      dw(281,124) =  rk(281) * Y( 83)
      dw(282,109) =  rk(282) * Y(124)
      dw(282,124) =  rk(282) * Y(109)
      dw(283, 88) =  rk(283) * Y(124)
      dw(283,124) =  rk(283) * Y( 88)
      dw(284, 87) =  rk(284) * Y(124)
      dw(284,124) =  rk(284) * Y( 87)
      dw(285, 93) =  rk(285) * Y(124)
      dw(285,124) =  rk(285) * Y( 93)
      dw(286, 77) =  rk(286) * Y(124)
      dw(286,124) =  rk(286) * Y( 77)
      dw(287, 71) =  rk(287) * Y(124)
      dw(287,124) =  rk(287) * Y( 71)
      dw(288, 58) =  rk(288) * Y(124)
      dw(288,124) =  rk(288) * Y( 58)
      dw(289, 57) =  rk(289) * Y(124)
      dw(289,124) =  rk(289) * Y( 57)
      dw(290, 56) =  rk(290) * Y(124)
      dw(290,124) =  rk(290) * Y( 56)
      dw(291, 61) =  rk(291) * Y(124)
      dw(291,124) =  rk(291) * Y( 61)
      dw(292, 67) =  rk(292) * Y(124)
      dw(292,124) =  rk(292) * Y( 67)
      dw(293, 54) =  rk(293) * Y(124)
      dw(293,124) =  rk(293) * Y( 54)
      dw(294, 65) =  rk(294) * Y(124)
      dw(294,124) =  rk(294) * Y( 65)
      dw(295, 59) =  rk(295) * Y(124)
      dw(295,124) =  rk(295) * Y( 59)
      dw(296, 60) =  rk(296) * Y(124)
      dw(296,124) =  rk(296) * Y( 60)
      dw(297,104) =  rk(297) * Y(124)
      dw(297,124) =  rk(297) * Y(104)
      dw(298,124) =  rk(298) * Y(124)
      dw(298,124) =  rk(298) * Y(124)
      dw(299,120) =  rk(299) * Y(120)
      dw(299,120) =  rk(299) * Y(120)
      dw(300,114) =  rk(300) * Y(124)
      dw(300,124) =  rk(300) * Y(114)
      dw(301, 79) =  rk(301) * Y(124)
      dw(301,124) =  rk(301) * Y( 79)
      dw(302, 70) =  rk(302) * Y(124)
      dw(302,124) =  rk(302) * Y( 70)
      dw(303, 82) =  rk(303) * Y(124)
      dw(303,124) =  rk(303) * Y( 82)
      dw(304, 81) =  rk(304) * Y(124)
      dw(304,124) =  rk(304) * Y( 81)
      dw(305, 82) =  rk(305) * Y( 82)
      dw(305, 82) =  rk(305) * Y( 82)
      dw(306, 82) =  rk(306) * Y( 81)
      dw(306, 81) =  rk(306) * Y( 82)
      dw(307, 81) =  rk(307) * Y( 81)
      dw(307, 81) =  rk(307) * Y( 81)
      dw(308,122) =  rk(308) * Y(129)
      dw(308,129) =  rk(308) * Y(122)
      dw(309,121) =  rk(309) * Y(129)
      dw(309,129) =  rk(309) * Y(121)
      dw(310,117) =  rk(310) * Y(129)
      dw(310,129) =  rk(310) * Y(117)
      dw(311, 92) =  rk(311) * Y(129)
      dw(311,129) =  rk(311) * Y( 92)
      dw(312, 69) =  rk(312) * Y(129)
      dw(312,129) =  rk(312) * Y( 69)
      dw(313, 73) =  rk(313) * Y(129)
      dw(313,129) =  rk(313) * Y( 73)
      dw(314, 72) =  rk(314) * Y(129)
      dw(314,129) =  rk(314) * Y( 72)
      dw(315,101) =  rk(315) * Y(129)
      dw(315,129) =  rk(315) * Y(101)
      dw(316, 83) =  rk(316) * Y(129)
      dw(316,129) =  rk(316) * Y( 83)
      dw(317, 93) =  rk(317) * Y(129)
      dw(317,129) =  rk(317) * Y( 93)
      dw(318, 77) =  rk(318) * Y(129)
      dw(318,129) =  rk(318) * Y( 77)
      dw(319, 71) =  rk(319) * Y(129)
      dw(319,129) =  rk(319) * Y( 71)
      dw(320, 65) =  rk(320) * Y(129)
      dw(320,129) =  rk(320) * Y( 65)
      dw(321,104) =  rk(321) * Y(129)
      dw(321,129) =  rk(321) * Y(104)
      dw(322,124) =  rk(322) * Y(129)
      dw(322,129) =  rk(322) * Y(124)
      dw(323,120) =  rk(323) * Y(129)
      dw(323,129) =  rk(323) * Y(120)
      dw(324, 70) =  rk(324) * Y(129)
      dw(324,129) =  rk(324) * Y( 70)
      dw(325,114) =  rk(325) * Y(129)
      dw(325,129) =  rk(325) * Y(114)
      dw(326, 79) =  rk(326) * Y(129)
      dw(326,129) =  rk(326) * Y( 79)
      dw(327, 82) =  rk(327) * Y(129)
      dw(327,129) =  rk(327) * Y( 82)
      dw(328, 81) =  rk(328) * Y(129)
      dw(328,129) =  rk(328) * Y( 81)
      dw(329, 88) =  rk(329) * Y(129)
      dw(329,129) =  rk(329) * Y( 88)
      dw(330,109) =  rk(330) * Y(129)
      dw(330,129) =  rk(330) * Y(109)
      dw(331, 57) =  rk(331) * Y(129)
      dw(331,129) =  rk(331) * Y( 57)
      dw(332, 58) =  rk(332) * Y(129)
      dw(332,129) =  rk(332) * Y( 58)
      dw(333, 56) =  rk(333) * Y(129)
      dw(333,129) =  rk(333) * Y( 56)
      dw(334, 59) =  rk(334) * Y(129)
      dw(334,129) =  rk(334) * Y( 59)
      dw(335, 60) =  rk(335) * Y(129)
      dw(335,129) =  rk(335) * Y( 60)
      dw(336, 61) =  rk(336) * Y(129)
      dw(336,129) =  rk(336) * Y( 61)
      dw(337, 67) =  rk(337) * Y(129)
      dw(337,129) =  rk(337) * Y( 67)
      dw(338, 54) =  rk(338) * Y(129)
      dw(338,129) =  rk(338) * Y( 54)
      dw(339, 87) =  rk(339) * Y(129)
      dw(339,129) =  rk(339) * Y( 87)
      dw(340,127) =  rk(340) * Y(130)
      dw(340,130) =  rk(340) * Y(127)
      dw(341,127) =  rk(341) * Y(122)
      dw(341,122) =  rk(341) * Y(127)
      dw(342,127) =  rk(342) * Y(124)
      dw(342,124) =  rk(342) * Y(127)
      dw(343,127) =  rk(343) * Y(127)
      dw(343,127) =  rk(343) * Y(127)
      dw(344,127) =  rk(344) * Y(125)
      dw(344,125) =  rk(344) * Y(127)
      dw(345,127) =  rk(345) * Y(129)
      dw(345,129) =  rk(345) * Y(127)
      dw(346,112) =  rk(346) * Y(125)
      dw(346,125) =  rk(346) * Y(112)
      dw(347,112) =  rk(347) * Y(130)
      dw(347,130) =  rk(347) * Y(112)
      dw(348,112) =  rk(348) * Y(122)
      dw(348,122) =  rk(348) * Y(112)
      dw(349,112) =  rk(349) * Y(124)
      dw(349,124) =  rk(349) * Y(112)
      dw(350,112) =  rk(350) * Y(129)
      dw(350,129) =  rk(350) * Y(112)
      dw(351,120) =  rk(351) * Y(124)
      dw(351,124) =  rk(351) * Y(120)
      dw(352,130) =  rk(352)
      dw(353,123) =  rk(353)
      dw(354,129) =  rk(354)
      dw(355, 20) =  rk(355)
      dw(356, 18) =  rk(356) * Y(131)
      dw(356,131) =  rk(356) * Y( 18)
      dw(357,105) =  rk(357) * Y(125)
      dw(357,125) =  rk(357) * Y(105)
      dw(358,105) =  rk(358) * Y(129)
      dw(358,129) =  rk(358) * Y(105)
      dw(359,105) =  rk(359) * Y(130)
      dw(359,130) =  rk(359) * Y(105)
      dw(360,105) =  rk(360) * Y(122)
      dw(360,122) =  rk(360) * Y(105)
      dw(361,105) =  rk(361) * Y(124)
      dw(361,124) =  rk(361) * Y(105)
      dw(362,106) =  rk(362) * Y(125)
      dw(362,125) =  rk(362) * Y(106)
      dw(363,106) =  rk(363) * Y(129)
      dw(363,129) =  rk(363) * Y(106)
      dw(364,106) =  rk(364) * Y(130)
      dw(364,130) =  rk(364) * Y(106)
      dw(365,106) =  rk(365) * Y(122)
      dw(365,122) =  rk(365) * Y(106)
      dw(366,106) =  rk(366) * Y(124)
      dw(366,124) =  rk(366) * Y(106)
      dw(367,107) =  rk(367) * Y(125)
      dw(367,125) =  rk(367) * Y(107)
      dw(368,107) =  rk(368) * Y(129)
      dw(368,129) =  rk(368) * Y(107)
      dw(369,107) =  rk(369) * Y(130)
      dw(369,130) =  rk(369) * Y(107)
      dw(370,107) =  rk(370) * Y(122)
      dw(370,122) =  rk(370) * Y(107)
      dw(371,107) =  rk(371) * Y(124)
      dw(371,124) =  rk(371) * Y(107)
 
      RETURN
      END
 
