C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine rates                        (
     $    ns,nr,rk,y,w)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the reaction rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: RACM2_SORGAM_isop_tp
C     Species: _ciRACM2_SORGAM_iso2
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     W: reaction rates.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),w(nr)
 
 
 
      w(  1) =  rk(  1) * Y(123)
      w(  2) =  rk(  2) * Y( 97)
      w(  3) =  rk(  3) * Y( 97)
      w(  4) =  rk(  4) * Y( 28)
      w(  5) =  rk(  5) * Y(111)
      w(  6) =  rk(  6) * Y( 48)
      w(  7) =  rk(  7) * Y(129)
      w(  8) =  rk(  8) * Y(129)
      w(  9) =  rk(  9) * Y( 53)
      w( 10) =  rk( 10) * Y(128)
      w( 11) =  rk( 11) * Y(128)
      w( 12) =  rk( 12) * Y( 95)
      w( 13) =  rk( 13) * Y(119)
      w( 14) =  rk( 14) * Y( 78)
      w( 15) =  rk( 15) * Y( 41)
      w( 16) =  rk( 16) * Y(116)
      w( 17) =  rk( 17) * Y( 75)
      w( 18) =  rk( 18) * Y( 96)
      w( 19) =  rk( 19) * Y( 84)
      w( 20) =  rk( 20) * Y( 85)
      w( 21) =  rk( 21) * Y(108)
      w( 22) =  rk( 22) * Y(108)
      w( 23) =  rk( 23) * Y(108)
      w( 24) =  rk( 24) * Y(110)
      w( 25) =  rk( 25) * Y( 76)
      w( 26) =  rk( 26) * Y( 68)
      w( 27) =  rk( 27) * Y( 98)
      w( 28) =  rk( 28) * Y( 66)
      w( 29) =  rk( 29) * Y( 45)
      w( 30) =  rk( 30) * Y(126)
      w( 31) =  rk( 31) * Y( 74)
      w( 32) =  rk( 32) * Y(118)
      w( 33) =  rk( 33) * Y( 46)
      w( 34) =  rk( 34) * Y( 46)
      w( 35) =  rk( 35) * Y( 51)
      w( 36) =  rk( 36) * Y( 51) * Y( 97)
      w( 37) =  rk( 37) * Y(  3)
      w( 38) =  rk( 38) * Y(  3)
      w( 39) =  rk( 39) * Y(  3)
      w( 40) =  rk( 40) * Y( 97) * Y(131)
      w( 41) =  rk( 41) * Y( 97) * Y(130)
      w( 42) =  rk( 42) * Y(131) * Y(130)
      w( 43) =  rk( 43) * Y( 53) * Y(131)
      w( 44) =  rk( 44) * Y(130) * Y(130)
      w( 45) =  rk( 45) * Y(130) * Y(130)
      w( 46) =  rk( 46) * Y( 51) * Y(125)
      w( 47) =  rk( 47) * Y( 51) * Y(123)
      w( 48) =  rk( 48) * Y( 51) * Y(123)
      w( 49) =  rk( 49) * Y(131) * Y(125)
      w( 50) =  rk( 50) * Y(131) * Y(123)
      w( 51) =  rk( 51) * Y(131) * Y(129)
      w( 52) =  rk( 52) * Y(130) * Y(125)
      w( 53) =  rk( 53) * Y(130) * Y(123)
      w( 54) =  rk( 54) * Y( 48)
      w( 55) =  rk( 55) * Y(130) * Y(129)
      w( 56) =  rk( 56) * Y(131) * Y( 28)
      w( 57) =  rk( 57) * Y(131) * Y(111)
      w( 58) =  rk( 58) * Y(131) * Y( 48)
      w( 59) =  rk( 59) * Y( 97) * Y(125)
      w( 60) =  rk( 60) * Y( 97) * Y(123)
      w( 61) =  rk( 61) * Y(125) * Y(125)
      w( 62) =  rk( 62) * Y(129) * Y(125)
      w( 63) =  rk( 63) * Y(129) * Y(123)
      w( 64) =  rk( 64) * Y(129) * Y(123)
      w( 65) =  rk( 65) * Y( 20)
      w( 66) =  rk( 66) * Y( 20)
      w( 67) =  rk( 67) * Y(129) * Y(129)
      w( 68) =  rk( 68) * Y(131)
      w( 69) =  rk( 69) * Y(131) * Y(  4)
      w( 70) =  rk( 70) * Y(113) * Y(131)
      w( 71) =  rk( 71) * Y( 43) * Y(131)
      w( 72) =  rk( 72) * Y( 44) * Y(131)
      w( 73) =  rk( 73) * Y(102) * Y(131)
      w( 74) =  rk( 74) * Y( 30) * Y(131)
      w( 75) =  rk( 75) * Y( 94) * Y(131)
      w( 76) =  rk( 76) * Y(  6) * Y(131)
      w( 77) =  rk( 77) * Y(  8) * Y(131)
      w( 78) =  rk( 78) * Y(  9) * Y(131)
      w( 79) =  rk( 79) * Y( 10) * Y(131)
      w( 80) =  rk( 80) * Y( 32) * Y(131)
      w( 81) =  rk( 81) * Y( 42) * Y(131)
      w( 82) =  rk( 82) * Y( 80) * Y(131)
      w( 83) =  rk( 83) * Y( 29) * Y(131)
      w( 84) =  rk( 84) * Y( 35) * Y(131)
      w( 85) =  rk( 85) * Y( 25) * Y(131)
      w( 86) =  rk( 86) * Y( 36) * Y(131)
      w( 87) =  rk( 87) * Y( 34) * Y(131)
      w( 88) =  rk( 88) * Y( 49) * Y(131)
      w( 89) =  rk( 89) * Y( 39) * Y(131)
      w( 90) =  rk( 90) * Y( 89) * Y(131)
      w( 91) =  rk( 91) * Y( 21) * Y(131)
      w( 92) =  rk( 92) * Y( 33) * Y(131)
      w( 93) =  rk( 93) * Y(  7) * Y(131)
      w( 94) =  rk( 94) * Y( 11) * Y(131)
      w( 95) =  rk( 95) * Y( 57) * Y(125)
      w( 96) =  rk( 96) * Y( 12)
      w( 97) =  rk( 97) * Y( 58)
      w( 98) =  rk( 98) * Y( 58) * Y(125)
      w( 99) =  rk( 99) * Y( 56) * Y(125)
      w(100) =  rk(100) * Y( 15) * Y(131)
      w(101) =  rk(101) * Y( 13) * Y(131)
      w(102) =  rk(102) * Y( 59) * Y(125)
      w(103) =  rk(103) * Y( 14)
      w(104) =  rk(104) * Y( 16)
      w(105) =  rk(105) * Y( 60)
      w(106) =  rk(106) * Y( 65)
      w(107) =  rk(107) * Y( 60) * Y(125)
      w(108) =  rk(108) * Y( 61) * Y(125)
      w(109) =  rk(109) * Y( 66) * Y(131)
      w(110) =  rk(110) * Y( 67) * Y(125)
      w(111) =  rk(111) * Y( 54) * Y(125)
      w(112) =  rk(112) * Y( 55) * Y(123)
      w(113) =  rk(113) * Y( 22) * Y(131)
      w(114) =  rk(114) * Y( 62) * Y(131)
      w(115) =  rk(115) * Y( 40) * Y(131)
      w(116) =  rk(116) * Y( 40) * Y(129)
      w(117) =  rk(117) * Y(100) * Y( 97)
      w(118) =  rk(118) * Y(100) * Y(123)
      w(119) =  rk(119) * Y( 99) * Y(125)
      w(120) =  rk(120) * Y( 99) * Y(122)
      w(121) =  rk(121) * Y( 99) * Y(124)
      w(122) =  rk(122) * Y( 99) * Y(130)
      w(123) =  rk(123) * Y( 99) * Y(129)
      w(124) =  rk(124) * Y(128) * Y(131)
      w(125) =  rk(125) * Y( 95) * Y(131)
      w(126) =  rk(126) * Y(119) * Y(131)
      w(127) =  rk(127) * Y( 78) * Y(131)
      w(128) =  rk(128) * Y( 41) * Y(131)
      w(129) =  rk(129) * Y(116) * Y(131)
      w(130) =  rk(130) * Y( 75) * Y(131)
      w(131) =  rk(131) * Y(108) * Y(131)
      w(132) =  rk(132) * Y(110) * Y(131)
      w(133) =  rk(133) * Y( 96) * Y(131)
      w(134) =  rk(134) * Y( 84) * Y(131)
      w(135) =  rk(135) * Y( 85) * Y(131)
      w(136) =  rk(136) * Y( 31) * Y(131)
      w(137) =  rk(137) * Y( 68) * Y(131)
      w(138) =  rk(138) * Y( 76) * Y(131)
      w(139) =  rk(139) * Y( 98) * Y(131)
      w(140) =  rk(140) * Y( 45) * Y(131)
      w(141) =  rk(141) * Y(126) * Y(131)
      w(142) =  rk(142) * Y( 74) * Y(131)
      w(143) =  rk(143) * Y( 46) * Y(131)
      w(144) =  rk(144) * Y( 47) * Y(131)
      w(145) =  rk(145) * Y( 50) * Y(131)
      w(146) =  rk(146) * Y(118) * Y(131)
      w(147) =  rk(147) * Y( 86) * Y(131)
      w(148) =  rk(148) * Y(115) * Y(131)
      w(149) =  rk(149) * Y(128) * Y(129)
      w(150) =  rk(150) * Y( 95) * Y(129)
      w(151) =  rk(151) * Y(119) * Y(129)
      w(152) =  rk(152) * Y(108) * Y(129)
      w(153) =  rk(153) * Y(110) * Y(129)
      w(154) =  rk(154) * Y( 31) * Y(129)
      w(155) =  rk(155) * Y( 22) * Y(129)
      w(156) =  rk(156) * Y( 62) * Y(129)
      w(157) =  rk(157) * Y( 63) * Y(125)
      w(158) =  rk(158) * Y( 63) * Y(129)
      w(159) =  rk(159) * Y( 63) * Y(122)
      w(160) =  rk(160) * Y( 63) * Y(124)
      w(161) =  rk(161) * Y( 63) * Y(130)
      w(162) =  rk(162) * Y( 32) * Y(129)
      w(163) =  rk(163) * Y( 42) * Y(129)
      w(164) =  rk(164) * Y( 80) * Y(129)
      w(165) =  rk(165) * Y( 29) * Y(129)
      w(166) =  rk(166) * Y( 35) * Y(129)
      w(167) =  rk(167) * Y( 96) * Y(129)
      w(168) =  rk(168) * Y( 85) * Y(129)
      w(169) =  rk(169) * Y( 25) * Y(129)
      w(170) =  rk(170) * Y( 36) * Y(129)
      w(171) =  rk(171) * Y( 50) * Y(129)
      w(172) =  rk(172) * Y( 32) * Y( 97)
      w(173) =  rk(173) * Y( 42) * Y( 97)
      w(174) =  rk(174) * Y( 80) * Y( 97)
      w(175) =  rk(175) * Y( 29) * Y( 97)
      w(176) =  rk(176) * Y( 35) * Y( 97)
      w(177) =  rk(177) * Y( 96) * Y( 97)
      w(178) =  rk(178) * Y( 84) * Y( 97)
      w(179) =  rk(179) * Y( 85) * Y( 97)
      w(180) =  rk(180) * Y( 25) * Y( 97)
      w(181) =  rk(181) * Y( 36) * Y( 97)
      w(182) =  rk(182) * Y( 31) * Y( 97)
      w(183) =  rk(183) * Y( 98) * Y( 97)
      w(184) =  rk(184) * Y( 64) * Y(123)
      w(185) =  rk(185) * Y(124) * Y(123)
      w(186) =  rk(186) * Y(120) * Y(123)
      w(187) =  rk(187) * Y( 46)
      w(188) =  rk(188) * Y( 47)
      w(189) =  rk(189) * Y(109) * Y(123)
      w(190) =  rk(190) * Y( 50)
      w(191) =  rk(191) * Y(122) * Y(125)
      w(192) =  rk(192) * Y(121) * Y(125)
      w(193) =  rk(193) * Y(117) * Y(125)
      w(194) =  rk(194) * Y( 92) * Y(125)
      w(195) =  rk(195) * Y( 69) * Y(125)
      w(196) =  rk(196) * Y( 73) * Y(125)
      w(197) =  rk(197) * Y( 72) * Y(125)
      w(198) =  rk(198) * Y(101) * Y(125)
      w(199) =  rk(199) * Y( 83) * Y(125)
      w(200) =  rk(200) * Y(109) * Y(125)
      w(201) =  rk(201) * Y( 88) * Y(125)
      w(202) =  rk(202) * Y( 70) * Y(125)
      w(203) =  rk(203) * Y( 87) * Y(125)
      w(204) =  rk(204) * Y( 93) * Y(125)
      w(205) =  rk(205) * Y( 77) * Y(125)
      w(206) =  rk(206) * Y( 71) * Y(125)
      w(207) =  rk(207) * Y( 65) * Y(125)
      w(208) =  rk(208) * Y(104) * Y(125)
      w(209) =  rk(209) * Y(124) * Y(125)
      w(210) =  rk(210) * Y(120) * Y(125)
      w(211) =  rk(211) * Y(114) * Y(125)
      w(212) =  rk(212) * Y( 79) * Y(125)
      w(213) =  rk(213) * Y( 82) * Y(125)
      w(214) =  rk(214) * Y( 81) * Y(125)
      w(215) =  rk(215) * Y(122) * Y(130)
      w(216) =  rk(216) * Y(121) * Y(130)
      w(217) =  rk(217) * Y(117) * Y(130)
      w(218) =  rk(218) * Y( 92) * Y(130)
      w(219) =  rk(219) * Y( 69) * Y(130)
      w(220) =  rk(220) * Y( 73) * Y(130)
      w(221) =  rk(221) * Y( 72) * Y(130)
      w(222) =  rk(222) * Y(101) * Y(130)
      w(223) =  rk(223) * Y( 83) * Y(130)
      w(224) =  rk(224) * Y(109) * Y(130)
      w(225) =  rk(225) * Y( 88) * Y(130)
      w(226) =  rk(226) * Y( 87) * Y(130)
      w(227) =  rk(227) * Y( 93) * Y(130)
      w(228) =  rk(228) * Y( 77) * Y(130)
      w(229) =  rk(229) * Y( 71) * Y(130)
      w(230) =  rk(230) * Y( 58) * Y(130)
      w(231) =  rk(231) * Y( 60) * Y(130)
      w(232) =  rk(232) * Y( 65) * Y(130)
      w(233) =  rk(233) * Y(104) * Y(130)
      w(234) =  rk(234) * Y( 64) * Y(130)
      w(235) =  rk(235) * Y(124) * Y(130)
      w(236) =  rk(236) * Y(120) * Y(130)
      w(237) =  rk(237) * Y( 79) * Y(130)
      w(238) =  rk(238) * Y( 70) * Y(130)
      w(239) =  rk(239) * Y(114) * Y(130)
      w(240) =  rk(240) * Y( 82) * Y(130)
      w(241) =  rk(241) * Y( 81) * Y(130)
      w(242) =  rk(242) * Y(122) * Y(122)
      w(243) =  rk(243) * Y(121) * Y(122)
      w(244) =  rk(244) * Y(117) * Y(122)
      w(245) =  rk(245) * Y( 92) * Y(122)
      w(246) =  rk(246) * Y( 69) * Y(122)
      w(247) =  rk(247) * Y( 73) * Y(122)
      w(248) =  rk(248) * Y( 72) * Y(122)
      w(249) =  rk(249) * Y(101) * Y(122)
      w(250) =  rk(250) * Y( 83) * Y(122)
      w(251) =  rk(251) * Y(109) * Y(122)
      w(252) =  rk(252) * Y( 88) * Y(122)
      w(253) =  rk(253) * Y( 87) * Y(122)
      w(254) =  rk(254) * Y( 93) * Y(122)
      w(255) =  rk(255) * Y( 77) * Y(122)
      w(256) =  rk(256) * Y( 71) * Y(122)
      w(257) =  rk(257) * Y( 58) * Y(122)
      w(258) =  rk(258) * Y( 57) * Y(122)
      w(259) =  rk(259) * Y( 56) * Y(122)
      w(260) =  rk(260) * Y( 65) * Y(122)
      w(261) =  rk(261) * Y( 59) * Y(122)
      w(262) =  rk(262) * Y( 60) * Y(122)
      w(263) =  rk(263) * Y( 61) * Y(122)
      w(264) =  rk(264) * Y( 67) * Y(122)
      w(265) =  rk(265) * Y( 54) * Y(122)
      w(266) =  rk(266) * Y(104) * Y(122)
      w(267) =  rk(267) * Y(124) * Y(122)
      w(268) =  rk(268) * Y(120) * Y(122)
      w(269) =  rk(269) * Y( 79) * Y(122)
      w(270) =  rk(270) * Y( 70) * Y(122)
      w(271) =  rk(271) * Y(114) * Y(122)
      w(272) =  rk(272) * Y( 82) * Y(122)
      w(273) =  rk(273) * Y( 81) * Y(122)
      w(274) =  rk(274) * Y(121) * Y(124)
      w(275) =  rk(275) * Y(117) * Y(124)
      w(276) =  rk(276) * Y( 92) * Y(124)
      w(277) =  rk(277) * Y( 69) * Y(124)
      w(278) =  rk(278) * Y( 73) * Y(124)
      w(279) =  rk(279) * Y( 72) * Y(124)
      w(280) =  rk(280) * Y(101) * Y(124)
      w(281) =  rk(281) * Y( 83) * Y(124)
      w(282) =  rk(282) * Y(109) * Y(124)
      w(283) =  rk(283) * Y( 88) * Y(124)
      w(284) =  rk(284) * Y( 87) * Y(124)
      w(285) =  rk(285) * Y( 93) * Y(124)
      w(286) =  rk(286) * Y( 77) * Y(124)
      w(287) =  rk(287) * Y( 71) * Y(124)
      w(288) =  rk(288) * Y( 58) * Y(124)
      w(289) =  rk(289) * Y( 57) * Y(124)
      w(290) =  rk(290) * Y( 56) * Y(124)
      w(291) =  rk(291) * Y( 61) * Y(124)
      w(292) =  rk(292) * Y( 67) * Y(124)
      w(293) =  rk(293) * Y( 54) * Y(124)
      w(294) =  rk(294) * Y( 65) * Y(124)
      w(295) =  rk(295) * Y( 59) * Y(124)
      w(296) =  rk(296) * Y( 60) * Y(124)
      w(297) =  rk(297) * Y(104) * Y(124)
      w(298) =  rk(298) * Y(124) * Y(124)
      w(299) =  rk(299) * Y(120) * Y(120)
      w(300) =  rk(300) * Y(114) * Y(124)
      w(301) =  rk(301) * Y( 79) * Y(124)
      w(302) =  rk(302) * Y( 70) * Y(124)
      w(303) =  rk(303) * Y( 82) * Y(124)
      w(304) =  rk(304) * Y( 81) * Y(124)
      w(305) =  rk(305) * Y( 82) * Y( 82)
      w(306) =  rk(306) * Y( 82) * Y( 81)
      w(307) =  rk(307) * Y( 81) * Y( 81)
      w(308) =  rk(308) * Y(122) * Y(129)
      w(309) =  rk(309) * Y(121) * Y(129)
      w(310) =  rk(310) * Y(117) * Y(129)
      w(311) =  rk(311) * Y( 92) * Y(129)
      w(312) =  rk(312) * Y( 69) * Y(129)
      w(313) =  rk(313) * Y( 73) * Y(129)
      w(314) =  rk(314) * Y( 72) * Y(129)
      w(315) =  rk(315) * Y(101) * Y(129)
      w(316) =  rk(316) * Y( 83) * Y(129)
      w(317) =  rk(317) * Y( 93) * Y(129)
      w(318) =  rk(318) * Y( 77) * Y(129)
      w(319) =  rk(319) * Y( 71) * Y(129)
      w(320) =  rk(320) * Y( 65) * Y(129)
      w(321) =  rk(321) * Y(104) * Y(129)
      w(322) =  rk(322) * Y(124) * Y(129)
      w(323) =  rk(323) * Y(120) * Y(129)
      w(324) =  rk(324) * Y( 70) * Y(129)
      w(325) =  rk(325) * Y(114) * Y(129)
      w(326) =  rk(326) * Y( 79) * Y(129)
      w(327) =  rk(327) * Y( 82) * Y(129)
      w(328) =  rk(328) * Y( 81) * Y(129)
      w(329) =  rk(329) * Y( 88) * Y(129)
      w(330) =  rk(330) * Y(109) * Y(129)
      w(331) =  rk(331) * Y( 57) * Y(129)
      w(332) =  rk(332) * Y( 58) * Y(129)
      w(333) =  rk(333) * Y( 56) * Y(129)
      w(334) =  rk(334) * Y( 59) * Y(129)
      w(335) =  rk(335) * Y( 60) * Y(129)
      w(336) =  rk(336) * Y( 61) * Y(129)
      w(337) =  rk(337) * Y( 67) * Y(129)
      w(338) =  rk(338) * Y( 54) * Y(129)
      w(339) =  rk(339) * Y( 87) * Y(129)
      w(340) =  rk(340) * Y(127) * Y(130)
      w(341) =  rk(341) * Y(127) * Y(122)
      w(342) =  rk(342) * Y(127) * Y(124)
      w(343) =  rk(343) * Y(127) * Y(127)
      w(344) =  rk(344) * Y(127) * Y(125)
      w(345) =  rk(345) * Y(127) * Y(129)
      w(346) =  rk(346) * Y(112) * Y(125)
      w(347) =  rk(347) * Y(112) * Y(130)
      w(348) =  rk(348) * Y(112) * Y(122)
      w(349) =  rk(349) * Y(112) * Y(124)
      w(350) =  rk(350) * Y(112) * Y(129)
      w(351) =  rk(351) * Y(120) * Y(124)
      w(352) =  rk(352) * Y(130)
      w(353) =  rk(353) * Y(123)
      w(354) =  rk(354) * Y(129)
      w(355) =  rk(355) * Y( 20)
      w(356) =  rk(356) * Y( 18) * Y(131)
      w(357) =  rk(357) * Y(105) * Y(125)
      w(358) =  rk(358) * Y(105) * Y(129)
      w(359) =  rk(359) * Y(105) * Y(130)
      w(360) =  rk(360) * Y(105) * Y(122)
      w(361) =  rk(361) * Y(105) * Y(124)
      w(362) =  rk(362) * Y(106) * Y(125)
      w(363) =  rk(363) * Y(106) * Y(129)
      w(364) =  rk(364) * Y(106) * Y(130)
      w(365) =  rk(365) * Y(106) * Y(122)
      w(366) =  rk(366) * Y(106) * Y(124)
      w(367) =  rk(367) * Y(107) * Y(125)
      w(368) =  rk(368) * Y(107) * Y(129)
      w(369) =  rk(369) * Y(107) * Y(130)
      w(370) =  rk(370) * Y(107) * Y(122)
      w(371) =  rk(371) * Y(107) * Y(124)
 
      RETURN
      END
 
